(set-logic QF_ALIA)
(set-info
  :source |
SMT script generated by Ultimate Automizer [1,2].
Ultimate Automizer is an automatic software verification tool that implements
a new automata-theoretic approach [3].

This SMT script belongs to a set of SMT scripts that was generated by applying
Ultimate Automizer to benchmarks from the SV-COMP 2015 [4,5] which are available 
at [6].

This script does _not_ contain all SMT commands that are used by Ultimate 
Automizer while verifying a program. In order to fulfill the restrictions of
the main track at SMT-COMP this script contains only the commands that are
sufficient to reproduce one single satisfiablity check.

2015-04-30, Matthias Heizmann (heizmann@informatik.uni-freiburg.de)


[1] https://ultimate.informatik.uni-freiburg.de/automizer/
[2] Matthias Heizmann, Daniel Dietsch, Jan Leike, Betim Musa, Andreas Podelski:
Ultimate Automizer with Array Interpolation - (Competition Contribution). 
TACAS 2015: 455-457
[3] Matthias Heizmann, Jochen Hoenicke, Andreas Podelski: Software Model 
Checking for People Who Love Automata. CAV 2013:36-52
[4] Dirk Beyer: Software Verification and Verifiable Witnesses - (Report on 
SV-COMP 2015). TACAS 2015: 401-416
[5] http://sv-comp.sosy-lab.org/2015/
[6] https://svn.sosy-lab.org/software/sv-benchmarks/tags/svcomp15/


Made compatible to SMT-COMP rules by SMTInterpol
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unsat)
(define-sort ~size_t () Int)
(declare-fun |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next| () Int)
(declare-fun |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev| () Int)
(declare-fun
  |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|
  () Int)
(declare-fun
  |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~linkage|
  () Int)
(declare-fun |#sizeof~INT| () Int)
(declare-fun |#sizeof~$Pointer$| () Int)
(assert (= |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next| 0))
(assert (= |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev| 4))
(assert
 (=
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|
 0))
(assert
 (=
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~linkage|
 4))
(assert (= |#sizeof~INT| 4))
(assert (= |#sizeof~$Pointer$| 4))
(declare-fun |#length_-1| () (Array Int Int))
(declare-fun |#NULL.offset_-1| () Int)
(declare-fun |#valid_-1| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_-1| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_-1| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_-1| () (Array Int (Array Int Int)))
(declare-fun |~#gl_list.offset_-1| () Int)
(declare-fun |~#gl_list.base_-1| () Int)
(declare-fun |#NULL.base_-1| () Int)
(declare-fun |old(~#gl_list.offset)_0| () Int)
(declare-fun |old(#length)_0| () (Array Int Int))
(declare-fun |old(#valid)_0| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_0| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#NULL.offset)_0| () Int)
(declare-fun |old(#memory_int)_0| () (Array Int (Array Int Int)))
(declare-fun |old(~#gl_list.base)_0| () Int)
(declare-fun |old(#memory_$Pointer$.base)_0| () (Array Int (Array Int Int)))
(declare-fun |old(#NULL.base)_0| () Int)
(declare-fun |#length_0| () (Array Int Int))
(declare-fun |#NULL.offset_0| () Int)
(declare-fun |#valid_0| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_0| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_0| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_0| () (Array Int (Array Int Int)))
(declare-fun |~#gl_list.offset_0| () Int)
(declare-fun |~#gl_list.base_0| () Int)
(declare-fun |#NULL.base_0| () Int)
(declare-fun |#length_1| () (Array Int Int))
(declare-fun |#NULL.offset_1| () Int)
(declare-fun |#valid_1| () (Array Int Int))
(declare-fun |~#gl_list.offset_1| () Int)
(declare-fun |~#gl_list.base_1| () Int)
(declare-fun |#NULL.base_1| () Int)
(declare-fun |#memory_int_2| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_2| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_2| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_3| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_3| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_3| () (Array Int (Array Int Int)))
(declare-fun |old(#length)_5| () (Array Int Int))
(declare-fun |old(#valid)_5| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_5| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_int)_5| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_5| () (Array Int (Array Int Int)))
(declare-fun |#length_5| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_5| () (Array Int (Array Int Int)))
(declare-fun |#valid_5| () (Array Int Int))
(declare-fun |#memory_int_5| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_5| () (Array Int (Array Int Int)))
(declare-fun |old(#length)_6| () (Array Int Int))
(declare-fun |old(#valid)_6| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_6| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_int)_6| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_6| () (Array Int (Array Int Int)))
(declare-fun |#length_6| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_6| () (Array Int (Array Int Int)))
(declare-fun |#valid_6| () (Array Int Int))
(declare-fun |#memory_int_6| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_6| () (Array Int (Array Int Int)))
(declare-fun |gl_read_#t~nondet17_6| () Int)
(declare-fun |old(#length)_8| () (Array Int Int))
(declare-fun |old(#valid)_8| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_8| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_int)_8| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_8| () (Array Int (Array Int Int)))
(declare-fun |#length_8| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_8| () (Array Int (Array Int Int)))
(declare-fun |#valid_8| () (Array Int Int))
(declare-fun |#memory_int_8| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_8| () (Array Int (Array Int Int)))
(declare-fun |gl_insert_#in~value_8| () Int)
(declare-fun |#length_9| () (Array Int Int))
(declare-fun gl_insert_~node~11.offset_9 () Int)
(declare-fun |gl_insert_#t~malloc14.offset_9| () Int)
(declare-fun |#valid_9| () (Array Int Int))
(declare-fun |gl_insert_#t~malloc14.base_9| () Int)
(declare-fun gl_insert_~node~11.base_9 () Int)
(declare-fun gl_insert_~value_9 () Int)
(declare-fun |#memory_int_11| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_11| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_11| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.offset)_12| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_int)_12| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_12| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_12| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_12| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_12| () (Array Int (Array Int Int)))
(declare-fun |list_add_#in~new.base_12| () Int)
(declare-fun |list_add_#in~head.base_12| () Int)
(declare-fun |list_add_#in~new.offset_12| () Int)
(declare-fun |list_add_#in~head.offset_12| () Int)
(declare-fun list_add_~head.base_13 () Int)
(declare-fun list_add_~new.offset_13 () Int)
(declare-fun list_add_~new.base_13 () Int)
(declare-fun list_add_~head.offset_13 () Int)
(declare-fun |list_add_#t~mem7.base_14| () Int)
(declare-fun |list_add_#t~mem7.offset_14| () Int)
(declare-fun |old(#memory_$Pointer$.offset)_15| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_int)_15| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_15| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_15| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_15| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_15| () (Array Int (Array Int Int)))
(declare-fun |__list_add_#in~new.offset_15| () Int)
(declare-fun |__list_add_#in~prev.offset_15| () Int)
(declare-fun |__list_add_#in~next.offset_15| () Int)
(declare-fun |__list_add_#in~next.base_15| () Int)
(declare-fun |__list_add_#in~prev.base_15| () Int)
(declare-fun |__list_add_#in~new.base_15| () Int)
(declare-fun __list_add_~next.offset_16 () Int)
(declare-fun __list_add_~prev.base_16 () Int)
(declare-fun __list_add_~new.offset_16 () Int)
(declare-fun __list_add_~next.base_16 () Int)
(declare-fun __list_add_~new.base_16 () Int)
(declare-fun __list_add_~prev.offset_16 () Int)
(declare-fun |#memory_int_17| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_17| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_17| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_18| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_18| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_18| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_19| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_19| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_19| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_20| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_20| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_20| () (Array Int (Array Int Int)))
(declare-fun |gl_read_#t~nondet16_6| () Int)
(declare-fun |old(#length)_29| () (Array Int Int))
(declare-fun |old(#valid)_29| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_29| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_int)_29| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_29| () (Array Int (Array Int Int)))
(declare-fun |#length_29| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_29| () (Array Int (Array Int Int)))
(declare-fun |#valid_29| () (Array Int Int))
(declare-fun |#memory_int_29| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_29| () (Array Int (Array Int Int)))
(declare-fun |gl_sort_~#dst~19.base_30| () Int)
(declare-fun |#length_30| () (Array Int Int))
(declare-fun |gl_sort_~#dst~19.offset_30| () Int)
(declare-fun |#valid_30| () (Array Int Int))
(declare-fun |#memory_int_32| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_32| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_32| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_33| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_33| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_33| () (Array Int (Array Int Int)))
(declare-fun gl_seek_max_~max_pos~17.offset_36 () Int)
(declare-fun gl_seek_max_~max~17_36 () Int)
(declare-fun gl_seek_max_~max_pos~17.base_36 () Int)
(declare-fun gl_seek_max_~pos~17.base_36 () Int)
(declare-fun gl_seek_max_~pos~17.offset_36 () Int)
(declare-fun |gl_seek_max_#res.base_39| () Int)
(declare-fun |gl_seek_max_#res.offset_39| () Int)
(declare-fun |gl_sort_#t~ret29.offset_41| () Int)
(declare-fun |gl_sort_#t~ret29.base_41| () Int)
(declare-fun gl_sort_~max_pos~19.base_42 () Int)
(declare-fun gl_sort_~max_pos~19.offset_42 () Int)
(declare-fun |old(#memory_$Pointer$.offset)_43| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_int)_43| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_43| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_43| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_43| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_43| () (Array Int (Array Int Int)))
(declare-fun |list_move_#in~head.base_43| () Int)
(declare-fun |list_move_#in~head.offset_43| () Int)
(declare-fun |list_move_#in~list.offset_43| () Int)
(declare-fun |list_move_#in~list.base_43| () Int)
(declare-fun list_move_~list.base_44 () Int)
(declare-fun list_move_~head.base_44 () Int)
(declare-fun list_move_~head.offset_44 () Int)
(declare-fun list_move_~list.offset_44 () Int)
(declare-fun |list_move_#t~mem12.base_45| () Int)
(declare-fun |list_move_#t~mem12.offset_45| () Int)
(declare-fun |list_move_#t~mem13.offset_46| () Int)
(declare-fun |list_move_#t~mem13.base_46| () Int)
(declare-fun |old(#memory_$Pointer$.offset)_47| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_int)_47| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_47| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_47| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_47| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_47| () (Array Int (Array Int Int)))
(declare-fun |__list_del_#in~prev.base_47| () Int)
(declare-fun |__list_del_#in~prev.offset_47| () Int)
(declare-fun |__list_del_#in~next.base_47| () Int)
(declare-fun |__list_del_#in~next.offset_47| () Int)
(declare-fun __list_del_~next.offset_48 () Int)
(declare-fun __list_del_~prev.offset_48 () Int)
(declare-fun __list_del_~prev.base_48 () Int)
(declare-fun __list_del_~next.base_48 () Int)
(declare-fun |#memory_int_49| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_49| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_49| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_50| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_50| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_50| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.offset)_53| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_int)_53| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_53| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_53| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_53| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_53| () (Array Int (Array Int Int)))
(declare-fun |list_add_#in~new.base_53| () Int)
(declare-fun |list_add_#in~head.base_53| () Int)
(declare-fun |list_add_#in~new.offset_53| () Int)
(declare-fun |list_add_#in~head.offset_53| () Int)
(declare-fun list_add_~head.base_54 () Int)
(declare-fun list_add_~new.offset_54 () Int)
(declare-fun list_add_~new.base_54 () Int)
(declare-fun list_add_~head.offset_54 () Int)
(declare-fun |list_add_#t~mem7.base_55| () Int)
(declare-fun |list_add_#t~mem7.offset_55| () Int)
(declare-fun |old(#memory_$Pointer$.offset)_56| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_int)_56| () (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_56| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.offset_56| () (Array Int (Array Int Int)))
(declare-fun |#memory_int_56| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_56| () (Array Int (Array Int Int)))
(declare-fun |__list_add_#in~new.offset_56| () Int)
(declare-fun |__list_add_#in~prev.offset_56| () Int)
(declare-fun |__list_add_#in~next.offset_56| () Int)
(declare-fun |__list_add_#in~next.base_56| () Int)
(declare-fun |__list_add_#in~prev.base_56| () Int)
(declare-fun |__list_add_#in~new.base_56| () Int)
(declare-fun __list_add_~next.offset_57 () Int)
(declare-fun __list_add_~prev.base_57 () Int)
(declare-fun __list_add_~new.offset_57 () Int)
(declare-fun __list_add_~next.base_57 () Int)
(declare-fun __list_add_~new.base_57 () Int)
(declare-fun __list_add_~prev.offset_57 () Int)
(assert true)
(assert (not false))
(assert (<= |~#gl_list.offset_0| |old(~#gl_list.offset)_0|))
(assert (>= |~#gl_list.offset_0| |old(~#gl_list.offset)_0|))
(assert (= |#memory_$Pointer$.offset_0| |old(#memory_$Pointer$.offset)_0|))
(assert (= |#memory_$Pointer$.base_0| |old(#memory_$Pointer$.base)_0|))
(assert (<= |#NULL.offset_0| |old(#NULL.offset)_0|))
(assert (>= |#NULL.offset_0| |old(#NULL.offset)_0|))
(assert (<= |~#gl_list.base_0| |old(~#gl_list.base)_0|))
(assert (>= |~#gl_list.base_0| |old(~#gl_list.base)_0|))
(assert (= |#valid_0| |old(#valid)_0|))
(assert (= |#length_0| |old(#length)_0|))
(assert (<= |#NULL.base_0| |old(#NULL.base)_0|))
(assert (>= |#NULL.base_0| |old(#NULL.base)_0|))
(assert (= |#memory_int_0| |old(#memory_int)_0|))
(assert true)
(assert (<= |old(~#gl_list.offset)_0| |~#gl_list.offset_-1|))
(assert (>= |old(~#gl_list.offset)_0| |~#gl_list.offset_-1|))
(assert (= |old(#memory_$Pointer$.offset)_0| |#memory_$Pointer$.offset_-1|))
(assert (= |old(#memory_$Pointer$.base)_0| |#memory_$Pointer$.base_-1|))
(assert (<= |old(#NULL.offset)_0| |#NULL.offset_-1|))
(assert (>= |old(#NULL.offset)_0| |#NULL.offset_-1|))
(assert (<= |old(~#gl_list.base)_0| |~#gl_list.base_-1|))
(assert (>= |old(~#gl_list.base)_0| |~#gl_list.base_-1|))
(assert (= |old(#valid)_0| |#valid_-1|))
(assert (= |old(#length)_0| |#length_-1|))
(assert (<= |old(#NULL.base)_0| |#NULL.base_-1|))
(assert (>= |old(#NULL.base)_0| |#NULL.base_-1|))
(assert (= |old(#memory_int)_0| |#memory_int_-1|))
(assert (= |#length_1| (store |#length_0| |~#gl_list.base_1| 8)))
(assert (not (= |~#gl_list.base_1| 0)))
(assert (<= |~#gl_list.offset_1| 0))
(assert (>= |~#gl_list.offset_1| 0))
(assert (= |#valid_1| (store (store |#valid_0| 0 0) |~#gl_list.base_1| 1)))
(assert (not (not (= (select (store |#valid_0| 0 0) |~#gl_list.base_1|) 0))))
(assert (<= |#NULL.base_1| 0))
(assert (>= |#NULL.base_1| 0))
(assert (<= |#NULL.offset_1| 0))
(assert (>= |#NULL.offset_1| 0))
(assert
 (<=
 (+ 4
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_1| |~#gl_list.base_1|)))
(assert (not (= (select |#valid_1| |~#gl_list.base_1|) 0)))
(assert
 (= |#memory_$Pointer$.base_2|
 (store |#memory_$Pointer$.base_0| |~#gl_list.base_1|
 (store (select |#memory_$Pointer$.base_0| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) |~#gl_list.base_1|))))
(assert
 (= |#memory_$Pointer$.offset_2|
 (store |#memory_$Pointer$.offset_0| |~#gl_list.base_1|
 (store (select |#memory_$Pointer$.offset_0| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) |~#gl_list.offset_1|))))
(assert
 (= |#memory_int_2|
 (store |#memory_int_0| |~#gl_list.base_1|
 (store (select |#memory_int_0| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 (select (select |#memory_int_2| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))))
(assert
 (<=
 (+ 4
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))
 (select |#length_1| |~#gl_list.base_1|)))
(assert (not (= (select |#valid_1| |~#gl_list.base_1|) 0)))
(assert
 (= |#memory_$Pointer$.base_3|
 (store |#memory_$Pointer$.base_2| |~#gl_list.base_1|
 (store (select |#memory_$Pointer$.base_2| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|) |~#gl_list.base_1|))))
(assert
 (= |#memory_$Pointer$.offset_3|
 (store |#memory_$Pointer$.offset_2| |~#gl_list.base_1|
 (store (select |#memory_$Pointer$.offset_2| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|) |~#gl_list.offset_1|))))
(assert
 (= |#memory_int_3|
 (store |#memory_int_2| |~#gl_list.base_1|
 (store (select |#memory_int_2| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 (select (select |#memory_int_3| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))))))
(assert true)
(assert (= |#memory_$Pointer$.offset_5| |old(#memory_$Pointer$.offset)_5|))
(assert (= |#memory_$Pointer$.base_5| |old(#memory_$Pointer$.base)_5|))
(assert (= |#valid_5| |old(#valid)_5|))
(assert (= |#length_5| |old(#length)_5|))
(assert (= |#memory_int_5| |old(#memory_int)_5|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_5| |#memory_$Pointer$.offset_3|))
(assert (= |old(#memory_$Pointer$.base)_5| |#memory_$Pointer$.base_3|))
(assert (= |old(#valid)_5| |#valid_1|))
(assert (= |old(#length)_5| |#length_1|))
(assert (= |old(#memory_int)_5| |#memory_int_3|))
(assert (= |#memory_$Pointer$.offset_6| |old(#memory_$Pointer$.offset)_6|))
(assert (= |#memory_$Pointer$.base_6| |old(#memory_$Pointer$.base)_6|))
(assert (= |#valid_6| |old(#valid)_6|))
(assert (= |#length_6| |old(#length)_6|))
(assert (= |#memory_int_6| |old(#memory_int)_6|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_6| |#memory_$Pointer$.offset_5|))
(assert (= |old(#memory_$Pointer$.base)_6| |#memory_$Pointer$.base_5|))
(assert (= |old(#valid)_6| |#valid_5|))
(assert (= |old(#length)_6| |#length_5|))
(assert (= |old(#memory_int)_6| |#memory_int_5|))
(assert true)
(assert (= |#memory_$Pointer$.offset_8| |old(#memory_$Pointer$.offset)_8|))
(assert (= |#memory_$Pointer$.base_8| |old(#memory_$Pointer$.base)_8|))
(assert (= |#valid_8| |old(#valid)_8|))
(assert (= |#length_8| |old(#length)_8|))
(assert (= |#memory_int_8| |old(#memory_int)_8|))
(assert (<= |gl_insert_#in~value_8| |gl_read_#t~nondet17_6|))
(assert (>= |gl_insert_#in~value_8| |gl_read_#t~nondet17_6|))
(assert (= |old(#memory_$Pointer$.offset)_8| |#memory_$Pointer$.offset_6|))
(assert (= |old(#memory_$Pointer$.base)_8| |#memory_$Pointer$.base_6|))
(assert (= |old(#valid)_8| |#valid_6|))
(assert (= |old(#length)_8| |#length_6|))
(assert (= |old(#memory_int)_8| |#memory_int_6|))
(assert (<= gl_insert_~node~11.offset_9 |gl_insert_#t~malloc14.offset_9|))
(assert (>= gl_insert_~node~11.offset_9 |gl_insert_#t~malloc14.offset_9|))
(assert (<= gl_insert_~node~11.base_9 |gl_insert_#t~malloc14.base_9|))
(assert (>= gl_insert_~node~11.base_9 |gl_insert_#t~malloc14.base_9|))
(assert (= |#length_9| (store |#length_8| |gl_insert_#t~malloc14.base_9| 12)))
(assert (not (= |gl_insert_#t~malloc14.base_9| 0)))
(assert (<= |gl_insert_#t~malloc14.offset_9| 0))
(assert (>= |gl_insert_#t~malloc14.offset_9| 0))
(assert (= |#valid_9| (store |#valid_8| |gl_insert_#t~malloc14.base_9| 1)))
(assert (not (not (= (select |#valid_8| |gl_insert_#t~malloc14.base_9|) 0))))
(assert (<= gl_insert_~value_9 |gl_insert_#in~value_8|))
(assert (>= gl_insert_~value_9 |gl_insert_#in~value_8|))
(assert (not (= gl_insert_~node~11.base_9 0)))
(assert
 (<=
 (+ 4
 (+ gl_insert_~node~11.offset_9
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|))
 (select |#length_9| gl_insert_~node~11.base_9)))
(assert (not (= (select |#valid_9| gl_insert_~node~11.base_9) 0)))
(assert
 (= |#memory_$Pointer$.base_11|
 (store |#memory_$Pointer$.base_8| gl_insert_~node~11.base_9
 (store (select |#memory_$Pointer$.base_8| gl_insert_~node~11.base_9)
 (+ gl_insert_~node~11.offset_9
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|)
 (select (select |#memory_$Pointer$.base_11| gl_insert_~node~11.base_9)
 (+ gl_insert_~node~11.offset_9
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|))))))
(assert
 (= |#memory_$Pointer$.offset_11|
 (store |#memory_$Pointer$.offset_8| gl_insert_~node~11.base_9
 (store (select |#memory_$Pointer$.offset_8| gl_insert_~node~11.base_9)
 (+ gl_insert_~node~11.offset_9
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|)
 (select (select |#memory_$Pointer$.offset_11| gl_insert_~node~11.base_9)
 (+ gl_insert_~node~11.offset_9
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|))))))
(assert
 (= |#memory_int_11|
 (store |#memory_int_8| gl_insert_~node~11.base_9
 (store (select |#memory_int_8| gl_insert_~node~11.base_9)
 (+ gl_insert_~node~11.offset_9
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|)
 gl_insert_~value_9))))
(assert (= |#memory_$Pointer$.offset_12| |old(#memory_$Pointer$.offset)_12|))
(assert (= |#memory_$Pointer$.base_12| |old(#memory_$Pointer$.base)_12|))
(assert (= |#memory_int_12| |old(#memory_int)_12|))
(assert (<= |list_add_#in~new.base_12| gl_insert_~node~11.base_9))
(assert (>= |list_add_#in~new.base_12| gl_insert_~node~11.base_9))
(assert
 (<= |list_add_#in~new.offset_12|
 (+ gl_insert_~node~11.offset_9
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~linkage|)))
(assert
 (>= |list_add_#in~new.offset_12|
 (+ gl_insert_~node~11.offset_9
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~linkage|)))
(assert (<= |list_add_#in~head.base_12| |~#gl_list.base_1|))
(assert (>= |list_add_#in~head.base_12| |~#gl_list.base_1|))
(assert (<= |list_add_#in~head.offset_12| |~#gl_list.offset_1|))
(assert (>= |list_add_#in~head.offset_12| |~#gl_list.offset_1|))
(assert (= |old(#memory_$Pointer$.offset)_12| |#memory_$Pointer$.offset_11|))
(assert (= |old(#memory_$Pointer$.base)_12| |#memory_$Pointer$.base_11|))
(assert (= |old(#memory_int)_12| |#memory_int_11|))
(assert (<= list_add_~new.base_13 |list_add_#in~new.base_12|))
(assert (>= list_add_~new.base_13 |list_add_#in~new.base_12|))
(assert (<= list_add_~new.offset_13 |list_add_#in~new.offset_12|))
(assert (>= list_add_~new.offset_13 |list_add_#in~new.offset_12|))
(assert (<= list_add_~head.base_13 |list_add_#in~head.base_12|))
(assert (>= list_add_~head.base_13 |list_add_#in~head.base_12|))
(assert (<= list_add_~head.offset_13 |list_add_#in~head.offset_12|))
(assert (>= list_add_~head.offset_13 |list_add_#in~head.offset_12|))
(assert
 (<=
 (+ 4
 (+ list_add_~head.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_9| list_add_~head.base_13)))
(assert (not (= (select |#valid_9| list_add_~head.base_13) 0)))
(assert
 (<= |list_add_#t~mem7.base_14|
 (select (select |#memory_$Pointer$.base_12| list_add_~head.base_13)
 (+ list_add_~head.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (>= |list_add_#t~mem7.base_14|
 (select (select |#memory_$Pointer$.base_12| list_add_~head.base_13)
 (+ list_add_~head.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (<= |list_add_#t~mem7.offset_14|
 (select (select |#memory_$Pointer$.offset_12| list_add_~head.base_13)
 (+ list_add_~head.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (>= |list_add_#t~mem7.offset_14|
 (select (select |#memory_$Pointer$.offset_12| list_add_~head.base_13)
 (+ list_add_~head.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert (= |#memory_$Pointer$.offset_15| |old(#memory_$Pointer$.offset)_15|))
(assert (= |#memory_$Pointer$.base_15| |old(#memory_$Pointer$.base)_15|))
(assert (= |#memory_int_15| |old(#memory_int)_15|))
(assert (<= |__list_add_#in~new.base_15| list_add_~new.base_13))
(assert (>= |__list_add_#in~new.base_15| list_add_~new.base_13))
(assert (<= |__list_add_#in~new.offset_15| list_add_~new.offset_13))
(assert (>= |__list_add_#in~new.offset_15| list_add_~new.offset_13))
(assert (<= |__list_add_#in~prev.base_15| list_add_~head.base_13))
(assert (>= |__list_add_#in~prev.base_15| list_add_~head.base_13))
(assert (<= |__list_add_#in~prev.offset_15| list_add_~head.offset_13))
(assert (>= |__list_add_#in~prev.offset_15| list_add_~head.offset_13))
(assert (<= |__list_add_#in~next.base_15| |list_add_#t~mem7.base_14|))
(assert (>= |__list_add_#in~next.base_15| |list_add_#t~mem7.base_14|))
(assert (<= |__list_add_#in~next.offset_15| |list_add_#t~mem7.offset_14|))
(assert (>= |__list_add_#in~next.offset_15| |list_add_#t~mem7.offset_14|))
(assert (= |old(#memory_$Pointer$.offset)_15| |#memory_$Pointer$.offset_12|))
(assert (= |old(#memory_$Pointer$.base)_15| |#memory_$Pointer$.base_12|))
(assert (= |old(#memory_int)_15| |#memory_int_12|))
(assert (<= __list_add_~new.base_16 |__list_add_#in~new.base_15|))
(assert (>= __list_add_~new.base_16 |__list_add_#in~new.base_15|))
(assert (<= __list_add_~new.offset_16 |__list_add_#in~new.offset_15|))
(assert (>= __list_add_~new.offset_16 |__list_add_#in~new.offset_15|))
(assert (<= __list_add_~prev.offset_16 |__list_add_#in~prev.offset_15|))
(assert (>= __list_add_~prev.offset_16 |__list_add_#in~prev.offset_15|))
(assert (<= __list_add_~prev.base_16 |__list_add_#in~prev.base_15|))
(assert (>= __list_add_~prev.base_16 |__list_add_#in~prev.base_15|))
(assert (<= __list_add_~next.base_16 |__list_add_#in~next.base_15|))
(assert (>= __list_add_~next.base_16 |__list_add_#in~next.base_15|))
(assert (<= __list_add_~next.offset_16 |__list_add_#in~next.offset_15|))
(assert (>= __list_add_~next.offset_16 |__list_add_#in~next.offset_15|))
(assert
 (<=
 (+ 4
 (+ __list_add_~next.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))
 (select |#length_9| __list_add_~next.base_16)))
(assert (not (= (select |#valid_9| __list_add_~next.base_16) 0)))
(assert
 (= |#memory_$Pointer$.base_17|
 (store |#memory_$Pointer$.base_15| __list_add_~next.base_16
 (store (select |#memory_$Pointer$.base_15| __list_add_~next.base_16)
 (+ __list_add_~next.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 __list_add_~new.base_16))))
(assert
 (= |#memory_$Pointer$.offset_17|
 (store |#memory_$Pointer$.offset_15| __list_add_~next.base_16
 (store (select |#memory_$Pointer$.offset_15| __list_add_~next.base_16)
 (+ __list_add_~next.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 __list_add_~new.offset_16))))
(assert
 (= |#memory_int_17|
 (store |#memory_int_15| __list_add_~next.base_16
 (store (select |#memory_int_15| __list_add_~next.base_16)
 (+ __list_add_~next.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 (select (select |#memory_int_17| __list_add_~next.base_16)
 (+ __list_add_~next.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))))))
(assert
 (<=
 (+ 4
 (+ __list_add_~new.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_9| __list_add_~new.base_16)))
(assert (not (= (select |#valid_9| __list_add_~new.base_16) 0)))
(assert
 (= |#memory_$Pointer$.base_18|
 (store |#memory_$Pointer$.base_17| __list_add_~new.base_16
 (store (select |#memory_$Pointer$.base_17| __list_add_~new.base_16)
 (+ __list_add_~new.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 __list_add_~next.base_16))))
(assert
 (= |#memory_$Pointer$.offset_18|
 (store |#memory_$Pointer$.offset_17| __list_add_~new.base_16
 (store (select |#memory_$Pointer$.offset_17| __list_add_~new.base_16)
 (+ __list_add_~new.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 __list_add_~next.offset_16))))
(assert
 (= |#memory_int_18|
 (store |#memory_int_17| __list_add_~new.base_16
 (store (select |#memory_int_17| __list_add_~new.base_16)
 (+ __list_add_~new.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 (select (select |#memory_int_18| __list_add_~new.base_16)
 (+ __list_add_~new.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))))
(assert
 (<=
 (+ 4
 (+ __list_add_~new.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))
 (select |#length_9| __list_add_~new.base_16)))
(assert (not (= (select |#valid_9| __list_add_~new.base_16) 0)))
(assert
 (= |#memory_$Pointer$.base_19|
 (store |#memory_$Pointer$.base_18| __list_add_~new.base_16
 (store (select |#memory_$Pointer$.base_18| __list_add_~new.base_16)
 (+ __list_add_~new.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 __list_add_~prev.base_16))))
(assert
 (= |#memory_$Pointer$.offset_19|
 (store |#memory_$Pointer$.offset_18| __list_add_~new.base_16
 (store (select |#memory_$Pointer$.offset_18| __list_add_~new.base_16)
 (+ __list_add_~new.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 __list_add_~prev.offset_16))))
(assert
 (= |#memory_int_19|
 (store |#memory_int_18| __list_add_~new.base_16
 (store (select |#memory_int_18| __list_add_~new.base_16)
 (+ __list_add_~new.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 (select (select |#memory_int_19| __list_add_~new.base_16)
 (+ __list_add_~new.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))))))
(assert
 (<=
 (+ 4
 (+ __list_add_~prev.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_9| __list_add_~prev.base_16)))
(assert (not (= (select |#valid_9| __list_add_~prev.base_16) 0)))
(assert
 (= |#memory_$Pointer$.base_20|
 (store |#memory_$Pointer$.base_19| __list_add_~prev.base_16
 (store (select |#memory_$Pointer$.base_19| __list_add_~prev.base_16)
 (+ __list_add_~prev.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 __list_add_~new.base_16))))
(assert
 (= |#memory_$Pointer$.offset_20|
 (store |#memory_$Pointer$.offset_19| __list_add_~prev.base_16
 (store (select |#memory_$Pointer$.offset_19| __list_add_~prev.base_16)
 (+ __list_add_~prev.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 __list_add_~new.offset_16))))
(assert
 (= |#memory_int_20|
 (store |#memory_int_19| __list_add_~prev.base_16
 (store (select |#memory_int_19| __list_add_~prev.base_16)
 (+ __list_add_~prev.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 (select (select |#memory_int_20| __list_add_~prev.base_16)
 (+ __list_add_~prev.offset_16
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))))
(assert true)
(assert true)
(assert true)
(assert true)
(assert true)
(assert (<= |gl_read_#t~nondet16_6| 0))
(assert (>= |gl_read_#t~nondet16_6| 0))
(assert true)
(assert true)
(assert (= |#memory_$Pointer$.offset_29| |old(#memory_$Pointer$.offset)_29|))
(assert (= |#memory_$Pointer$.base_29| |old(#memory_$Pointer$.base)_29|))
(assert (= |#valid_29| |old(#valid)_29|))
(assert (= |#length_29| |old(#length)_29|))
(assert (= |#memory_int_29| |old(#memory_int)_29|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_29| |#memory_$Pointer$.offset_20|))
(assert (= |old(#memory_$Pointer$.base)_29| |#memory_$Pointer$.base_20|))
(assert (= |old(#valid)_29| |#valid_9|))
(assert (= |old(#length)_29| |#length_9|))
(assert (= |old(#memory_int)_29| |#memory_int_20|))
(assert (= |#length_30| (store |#length_29| |gl_sort_~#dst~19.base_30| 8)))
(assert (not (= |gl_sort_~#dst~19.base_30| 0)))
(assert (<= |gl_sort_~#dst~19.offset_30| 0))
(assert (>= |gl_sort_~#dst~19.offset_30| 0))
(assert (= |#valid_30| (store |#valid_29| |gl_sort_~#dst~19.base_30| 1)))
(assert (= (not (= (select |#valid_29| |gl_sort_~#dst~19.base_30|) 0)) false))
(assert
 (<= 0
 (ite
 (and
 (=
 (select (select |#memory_$Pointer$.base_29| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)) |~#gl_list.base_1|)
 (=
 (select (select |#memory_$Pointer$.offset_29| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 |~#gl_list.offset_1|)) 1 0)))
(assert
 (>= 0
 (ite
 (and
 (=
 (select (select |#memory_$Pointer$.base_29| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)) |~#gl_list.base_1|)
 (=
 (select (select |#memory_$Pointer$.offset_29| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 |~#gl_list.offset_1|)) 1 0)))
(assert
 (<=
 (+ 4
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_30| |~#gl_list.base_1|)))
(assert (not (= (select |#valid_30| |~#gl_list.base_1|) 0)))
(assert
 (<=
 (+ 4
 (+ |gl_sort_~#dst~19.offset_30|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_30| |gl_sort_~#dst~19.base_30|)))
(assert (not (= (select |#valid_30| |gl_sort_~#dst~19.base_30|) 0)))
(assert
 (= |#memory_$Pointer$.base_32|
 (store |#memory_$Pointer$.base_29| |gl_sort_~#dst~19.base_30|
 (store (select |#memory_$Pointer$.base_29| |gl_sort_~#dst~19.base_30|)
 (+ |gl_sort_~#dst~19.offset_30|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 |gl_sort_~#dst~19.base_30|))))
(assert
 (= |#memory_$Pointer$.offset_32|
 (store |#memory_$Pointer$.offset_29| |gl_sort_~#dst~19.base_30|
 (store (select |#memory_$Pointer$.offset_29| |gl_sort_~#dst~19.base_30|)
 (+ |gl_sort_~#dst~19.offset_30|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 |gl_sort_~#dst~19.offset_30|))))
(assert
 (= |#memory_int_32|
 (store |#memory_int_29| |gl_sort_~#dst~19.base_30|
 (store (select |#memory_int_29| |gl_sort_~#dst~19.base_30|)
 (+ |gl_sort_~#dst~19.offset_30|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 (select (select |#memory_int_32| |gl_sort_~#dst~19.base_30|)
 (+ |gl_sort_~#dst~19.offset_30|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))))
(assert
 (<=
 (+ 4
 (+ |gl_sort_~#dst~19.offset_30|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))
 (select |#length_30| |gl_sort_~#dst~19.base_30|)))
(assert (not (= (select |#valid_30| |gl_sort_~#dst~19.base_30|) 0)))
(assert
 (= |#memory_$Pointer$.base_33|
 (store |#memory_$Pointer$.base_32| |gl_sort_~#dst~19.base_30|
 (store (select |#memory_$Pointer$.base_32| |gl_sort_~#dst~19.base_30|)
 (+ |gl_sort_~#dst~19.offset_30|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 |gl_sort_~#dst~19.base_30|))))
(assert
 (= |#memory_$Pointer$.offset_33|
 (store |#memory_$Pointer$.offset_32| |gl_sort_~#dst~19.base_30|
 (store (select |#memory_$Pointer$.offset_32| |gl_sort_~#dst~19.base_30|)
 (+ |gl_sort_~#dst~19.offset_30|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 |gl_sort_~#dst~19.offset_30|))))
(assert
 (= |#memory_int_33|
 (store |#memory_int_32| |gl_sort_~#dst~19.base_30|
 (store (select |#memory_int_32| |gl_sort_~#dst~19.base_30|)
 (+ |gl_sort_~#dst~19.offset_30|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 (select (select |#memory_int_33| |gl_sort_~#dst~19.base_30|)
 (+ |gl_sort_~#dst~19.offset_30|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))))))
(assert true)
(assert true)
(assert true)
(assert true)
(assert
 (<=
 (+ 4
 (+ gl_seek_max_~max_pos~17.offset_36
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_30| gl_seek_max_~max_pos~17.base_36)))
(assert (not (= (select |#valid_30| gl_seek_max_~max_pos~17.base_36) 0)))
(assert
 (<= gl_seek_max_~pos~17.base_36
 (select (select |#memory_$Pointer$.base_33| gl_seek_max_~max_pos~17.base_36)
 (+ gl_seek_max_~max_pos~17.offset_36
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (>= gl_seek_max_~pos~17.base_36
 (select (select |#memory_$Pointer$.base_33| gl_seek_max_~max_pos~17.base_36)
 (+ gl_seek_max_~max_pos~17.offset_36
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (<= gl_seek_max_~pos~17.offset_36
 (select
 (select |#memory_$Pointer$.offset_33| gl_seek_max_~max_pos~17.base_36)
 (+ gl_seek_max_~max_pos~17.offset_36
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (>= gl_seek_max_~pos~17.offset_36
 (select
 (select |#memory_$Pointer$.offset_33| gl_seek_max_~max_pos~17.base_36)
 (+ gl_seek_max_~max_pos~17.offset_36
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (<=
 (+ 4
 (+
 (- gl_seek_max_~max_pos~17.offset_36
 (*
 (+ 0
 (+ 0
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~linkage|))
 1))
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|))
 (select |#length_30| gl_seek_max_~max_pos~17.base_36)))
(assert
 (<= gl_seek_max_~max~17_36
 (select (select |#memory_int_33| gl_seek_max_~max_pos~17.base_36)
 (+
 (- gl_seek_max_~max_pos~17.offset_36
 (*
 (+ 0
 (+ 0
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~linkage|))
 1))
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|))))
(assert
 (>= gl_seek_max_~max~17_36
 (select (select |#memory_int_33| gl_seek_max_~max_pos~17.base_36)
 (+
 (- gl_seek_max_~max_pos~17.offset_36
 (*
 (+ 0
 (+ 0
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~linkage|))
 1))
 |#offset~STRUCT#?value~INT?linkage~STRUCT#?next~$Pointer$?prev~$Pointer$##~value|))))
(assert
 (<=
 (+ 4
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_30| |~#gl_list.base_1|)))
(assert (not (= (select |#valid_30| |~#gl_list.base_1|) 0)))
(assert
 (<= gl_seek_max_~max_pos~17.base_36
 (select (select |#memory_$Pointer$.base_33| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (>= gl_seek_max_~max_pos~17.base_36
 (select (select |#memory_$Pointer$.base_33| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (<= gl_seek_max_~max_pos~17.offset_36
 (select (select |#memory_$Pointer$.offset_33| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (>= gl_seek_max_~max_pos~17.offset_36
 (select (select |#memory_$Pointer$.offset_33| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (<= 0
 (ite
 (and
 (=
 (select (select |#memory_$Pointer$.base_33| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)) |~#gl_list.base_1|)
 (=
 (select (select |#memory_$Pointer$.offset_33| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 |~#gl_list.offset_1|)) 1 0)))
(assert
 (>= 0
 (ite
 (and
 (=
 (select (select |#memory_$Pointer$.base_33| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)) |~#gl_list.base_1|)
 (=
 (select (select |#memory_$Pointer$.offset_33| |~#gl_list.base_1|)
 (+ |~#gl_list.offset_1|
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 |~#gl_list.offset_1|)) 1 0)))
(assert true)
(assert (<= |~#gl_list.base_1| gl_seek_max_~pos~17.base_36))
(assert (>= |~#gl_list.base_1| gl_seek_max_~pos~17.base_36))
(assert (<= |~#gl_list.offset_1| gl_seek_max_~pos~17.offset_36))
(assert (>= |~#gl_list.offset_1| gl_seek_max_~pos~17.offset_36))
(assert (<= |gl_seek_max_#res.offset_39| gl_seek_max_~max_pos~17.offset_36))
(assert (>= |gl_seek_max_#res.offset_39| gl_seek_max_~max_pos~17.offset_36))
(assert (<= |gl_seek_max_#res.base_39| gl_seek_max_~max_pos~17.base_36))
(assert (>= |gl_seek_max_#res.base_39| gl_seek_max_~max_pos~17.base_36))
(assert true)
(assert (<= |gl_sort_#t~ret29.base_41| |gl_seek_max_#res.base_39|))
(assert (>= |gl_sort_#t~ret29.base_41| |gl_seek_max_#res.base_39|))
(assert (<= |gl_sort_#t~ret29.offset_41| |gl_seek_max_#res.offset_39|))
(assert (>= |gl_sort_#t~ret29.offset_41| |gl_seek_max_#res.offset_39|))
(assert
 (or (not (= gl_sort_~max_pos~19.base_42 |#NULL.base_1|))
 (not (= gl_sort_~max_pos~19.offset_42 |#NULL.offset_1|))))
(assert (<= gl_sort_~max_pos~19.base_42 |gl_sort_#t~ret29.base_41|))
(assert (>= gl_sort_~max_pos~19.base_42 |gl_sort_#t~ret29.base_41|))
(assert (<= gl_sort_~max_pos~19.offset_42 |gl_sort_#t~ret29.offset_41|))
(assert (>= gl_sort_~max_pos~19.offset_42 |gl_sort_#t~ret29.offset_41|))
(assert (= |#memory_$Pointer$.offset_43| |old(#memory_$Pointer$.offset)_43|))
(assert (= |#memory_$Pointer$.base_43| |old(#memory_$Pointer$.base)_43|))
(assert (= |#memory_int_43| |old(#memory_int)_43|))
(assert (<= |list_move_#in~list.base_43| gl_sort_~max_pos~19.base_42))
(assert (>= |list_move_#in~list.base_43| gl_sort_~max_pos~19.base_42))
(assert (<= |list_move_#in~list.offset_43| gl_sort_~max_pos~19.offset_42))
(assert (>= |list_move_#in~list.offset_43| gl_sort_~max_pos~19.offset_42))
(assert (<= |list_move_#in~head.base_43| |gl_sort_~#dst~19.base_30|))
(assert (>= |list_move_#in~head.base_43| |gl_sort_~#dst~19.base_30|))
(assert (<= |list_move_#in~head.offset_43| |gl_sort_~#dst~19.offset_30|))
(assert (>= |list_move_#in~head.offset_43| |gl_sort_~#dst~19.offset_30|))
(assert (= |old(#memory_$Pointer$.offset)_43| |#memory_$Pointer$.offset_33|))
(assert (= |old(#memory_$Pointer$.base)_43| |#memory_$Pointer$.base_33|))
(assert (= |old(#memory_int)_43| |#memory_int_33|))
(assert (<= list_move_~list.base_44 |list_move_#in~list.base_43|))
(assert (>= list_move_~list.base_44 |list_move_#in~list.base_43|))
(assert (<= list_move_~list.offset_44 |list_move_#in~list.offset_43|))
(assert (>= list_move_~list.offset_44 |list_move_#in~list.offset_43|))
(assert (<= list_move_~head.offset_44 |list_move_#in~head.offset_43|))
(assert (>= list_move_~head.offset_44 |list_move_#in~head.offset_43|))
(assert (<= list_move_~head.base_44 |list_move_#in~head.base_43|))
(assert (>= list_move_~head.base_44 |list_move_#in~head.base_43|))
(assert
 (<=
 (+ 4
 (+ list_move_~list.offset_44
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))
 (select |#length_30| list_move_~list.base_44)))
(assert (not (= (select |#valid_30| list_move_~list.base_44) 0)))
(assert
 (<= |list_move_#t~mem12.base_45|
 (select (select |#memory_$Pointer$.base_43| list_move_~list.base_44)
 (+ list_move_~list.offset_44
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))))
(assert
 (>= |list_move_#t~mem12.base_45|
 (select (select |#memory_$Pointer$.base_43| list_move_~list.base_44)
 (+ list_move_~list.offset_44
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))))
(assert
 (<= |list_move_#t~mem12.offset_45|
 (select (select |#memory_$Pointer$.offset_43| list_move_~list.base_44)
 (+ list_move_~list.offset_44
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))))
(assert
 (>= |list_move_#t~mem12.offset_45|
 (select (select |#memory_$Pointer$.offset_43| list_move_~list.base_44)
 (+ list_move_~list.offset_44
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))))
(assert
 (<=
 (+ 4
 (+ list_move_~list.offset_44
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_30| list_move_~list.base_44)))
(assert (not (= (select |#valid_30| list_move_~list.base_44) 0)))
(assert
 (<= |list_move_#t~mem13.base_46|
 (select (select |#memory_$Pointer$.base_43| list_move_~list.base_44)
 (+ list_move_~list.offset_44
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (>= |list_move_#t~mem13.base_46|
 (select (select |#memory_$Pointer$.base_43| list_move_~list.base_44)
 (+ list_move_~list.offset_44
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (<= |list_move_#t~mem13.offset_46|
 (select (select |#memory_$Pointer$.offset_43| list_move_~list.base_44)
 (+ list_move_~list.offset_44
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (>= |list_move_#t~mem13.offset_46|
 (select (select |#memory_$Pointer$.offset_43| list_move_~list.base_44)
 (+ list_move_~list.offset_44
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert (= |#memory_$Pointer$.offset_47| |old(#memory_$Pointer$.offset)_47|))
(assert (= |#memory_$Pointer$.base_47| |old(#memory_$Pointer$.base)_47|))
(assert (= |#memory_int_47| |old(#memory_int)_47|))
(assert (<= |__list_del_#in~prev.base_47| |list_move_#t~mem12.base_45|))
(assert (>= |__list_del_#in~prev.base_47| |list_move_#t~mem12.base_45|))
(assert (<= |__list_del_#in~prev.offset_47| |list_move_#t~mem12.offset_45|))
(assert (>= |__list_del_#in~prev.offset_47| |list_move_#t~mem12.offset_45|))
(assert (<= |__list_del_#in~next.base_47| |list_move_#t~mem13.base_46|))
(assert (>= |__list_del_#in~next.base_47| |list_move_#t~mem13.base_46|))
(assert (<= |__list_del_#in~next.offset_47| |list_move_#t~mem13.offset_46|))
(assert (>= |__list_del_#in~next.offset_47| |list_move_#t~mem13.offset_46|))
(assert (= |old(#memory_$Pointer$.offset)_47| |#memory_$Pointer$.offset_43|))
(assert (= |old(#memory_$Pointer$.base)_47| |#memory_$Pointer$.base_43|))
(assert (= |old(#memory_int)_47| |#memory_int_43|))
(assert (<= __list_del_~prev.base_48 |__list_del_#in~prev.base_47|))
(assert (>= __list_del_~prev.base_48 |__list_del_#in~prev.base_47|))
(assert (<= __list_del_~prev.offset_48 |__list_del_#in~prev.offset_47|))
(assert (>= __list_del_~prev.offset_48 |__list_del_#in~prev.offset_47|))
(assert (<= __list_del_~next.base_48 |__list_del_#in~next.base_47|))
(assert (>= __list_del_~next.base_48 |__list_del_#in~next.base_47|))
(assert (<= __list_del_~next.offset_48 |__list_del_#in~next.offset_47|))
(assert (>= __list_del_~next.offset_48 |__list_del_#in~next.offset_47|))
(assert
 (<=
 (+ 4
 (+ __list_del_~next.offset_48
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))
 (select |#length_30| __list_del_~next.base_48)))
(assert (not (= (select |#valid_30| __list_del_~next.base_48) 0)))
(assert
 (= |#memory_$Pointer$.base_49|
 (store |#memory_$Pointer$.base_47| __list_del_~next.base_48
 (store (select |#memory_$Pointer$.base_47| __list_del_~next.base_48)
 (+ __list_del_~next.offset_48
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 __list_del_~prev.base_48))))
(assert
 (= |#memory_$Pointer$.offset_49|
 (store |#memory_$Pointer$.offset_47| __list_del_~next.base_48
 (store (select |#memory_$Pointer$.offset_47| __list_del_~next.base_48)
 (+ __list_del_~next.offset_48
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 __list_del_~prev.offset_48))))
(assert
 (= |#memory_int_49|
 (store |#memory_int_47| __list_del_~next.base_48
 (store (select |#memory_int_47| __list_del_~next.base_48)
 (+ __list_del_~next.offset_48
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 (select (select |#memory_int_49| __list_del_~next.base_48)
 (+ __list_del_~next.offset_48
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|))))))
(assert
 (<=
 (+ 4
 (+ __list_del_~prev.offset_48
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_30| __list_del_~prev.base_48)))
(assert (not (= (select |#valid_30| __list_del_~prev.base_48) 0)))
(assert
 (= |#memory_$Pointer$.base_50|
 (store |#memory_$Pointer$.base_49| __list_del_~prev.base_48
 (store (select |#memory_$Pointer$.base_49| __list_del_~prev.base_48)
 (+ __list_del_~prev.offset_48
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 __list_del_~next.base_48))))
(assert
 (= |#memory_$Pointer$.offset_50|
 (store |#memory_$Pointer$.offset_49| __list_del_~prev.base_48
 (store (select |#memory_$Pointer$.offset_49| __list_del_~prev.base_48)
 (+ __list_del_~prev.offset_48
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 __list_del_~next.offset_48))))
(assert
 (= |#memory_int_50|
 (store |#memory_int_49| __list_del_~prev.base_48
 (store (select |#memory_int_49| __list_del_~prev.base_48)
 (+ __list_del_~prev.offset_48
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 (select (select |#memory_int_50| __list_del_~prev.base_48)
 (+ __list_del_~prev.offset_48
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))))
(assert true)
(assert true)
(assert (= |#memory_$Pointer$.offset_53| |old(#memory_$Pointer$.offset)_53|))
(assert (= |#memory_$Pointer$.base_53| |old(#memory_$Pointer$.base)_53|))
(assert (= |#memory_int_53| |old(#memory_int)_53|))
(assert (<= |list_add_#in~new.base_53| list_move_~list.base_44))
(assert (>= |list_add_#in~new.base_53| list_move_~list.base_44))
(assert (<= |list_add_#in~new.offset_53| list_move_~list.offset_44))
(assert (>= |list_add_#in~new.offset_53| list_move_~list.offset_44))
(assert (<= |list_add_#in~head.base_53| list_move_~head.base_44))
(assert (>= |list_add_#in~head.base_53| list_move_~head.base_44))
(assert (<= |list_add_#in~head.offset_53| list_move_~head.offset_44))
(assert (>= |list_add_#in~head.offset_53| list_move_~head.offset_44))
(assert (= |old(#memory_$Pointer$.offset)_53| |#memory_$Pointer$.offset_50|))
(assert (= |old(#memory_$Pointer$.base)_53| |#memory_$Pointer$.base_50|))
(assert (= |old(#memory_int)_53| |#memory_int_50|))
(assert (<= list_add_~new.base_54 |list_add_#in~new.base_53|))
(assert (>= list_add_~new.base_54 |list_add_#in~new.base_53|))
(assert (<= list_add_~new.offset_54 |list_add_#in~new.offset_53|))
(assert (>= list_add_~new.offset_54 |list_add_#in~new.offset_53|))
(assert (<= list_add_~head.base_54 |list_add_#in~head.base_53|))
(assert (>= list_add_~head.base_54 |list_add_#in~head.base_53|))
(assert (<= list_add_~head.offset_54 |list_add_#in~head.offset_53|))
(assert (>= list_add_~head.offset_54 |list_add_#in~head.offset_53|))
(assert
 (<=
 (+ 4
 (+ list_add_~head.offset_54
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))
 (select |#length_30| list_add_~head.base_54)))
(assert (not (= (select |#valid_30| list_add_~head.base_54) 0)))
(assert
 (<= |list_add_#t~mem7.base_55|
 (select (select |#memory_$Pointer$.base_53| list_add_~head.base_54)
 (+ list_add_~head.offset_54
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (>= |list_add_#t~mem7.base_55|
 (select (select |#memory_$Pointer$.base_53| list_add_~head.base_54)
 (+ list_add_~head.offset_54
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (<= |list_add_#t~mem7.offset_55|
 (select (select |#memory_$Pointer$.offset_53| list_add_~head.base_54)
 (+ list_add_~head.offset_54
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert
 (>= |list_add_#t~mem7.offset_55|
 (select (select |#memory_$Pointer$.offset_53| list_add_~head.base_54)
 (+ list_add_~head.offset_54
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|))))
(assert (= |#memory_$Pointer$.offset_56| |old(#memory_$Pointer$.offset)_56|))
(assert (= |#memory_$Pointer$.base_56| |old(#memory_$Pointer$.base)_56|))
(assert (= |#memory_int_56| |old(#memory_int)_56|))
(assert (<= |__list_add_#in~new.base_56| list_add_~new.base_54))
(assert (>= |__list_add_#in~new.base_56| list_add_~new.base_54))
(assert (<= |__list_add_#in~new.offset_56| list_add_~new.offset_54))
(assert (>= |__list_add_#in~new.offset_56| list_add_~new.offset_54))
(assert (<= |__list_add_#in~prev.base_56| list_add_~head.base_54))
(assert (>= |__list_add_#in~prev.base_56| list_add_~head.base_54))
(assert (<= |__list_add_#in~prev.offset_56| list_add_~head.offset_54))
(assert (>= |__list_add_#in~prev.offset_56| list_add_~head.offset_54))
(assert (<= |__list_add_#in~next.base_56| |list_add_#t~mem7.base_55|))
(assert (>= |__list_add_#in~next.base_56| |list_add_#t~mem7.base_55|))
(assert (<= |__list_add_#in~next.offset_56| |list_add_#t~mem7.offset_55|))
(assert (>= |__list_add_#in~next.offset_56| |list_add_#t~mem7.offset_55|))
(assert (= |old(#memory_$Pointer$.offset)_56| |#memory_$Pointer$.offset_53|))
(assert (= |old(#memory_$Pointer$.base)_56| |#memory_$Pointer$.base_53|))
(assert (= |old(#memory_int)_56| |#memory_int_53|))
(assert (<= __list_add_~new.base_57 |__list_add_#in~new.base_56|))
(assert (>= __list_add_~new.base_57 |__list_add_#in~new.base_56|))
(assert (<= __list_add_~new.offset_57 |__list_add_#in~new.offset_56|))
(assert (>= __list_add_~new.offset_57 |__list_add_#in~new.offset_56|))
(assert (<= __list_add_~prev.offset_57 |__list_add_#in~prev.offset_56|))
(assert (>= __list_add_~prev.offset_57 |__list_add_#in~prev.offset_56|))
(assert (<= __list_add_~prev.base_57 |__list_add_#in~prev.base_56|))
(assert (>= __list_add_~prev.base_57 |__list_add_#in~prev.base_56|))
(assert (<= __list_add_~next.base_57 |__list_add_#in~next.base_56|))
(assert (>= __list_add_~next.base_57 |__list_add_#in~next.base_56|))
(assert (<= __list_add_~next.offset_57 |__list_add_#in~next.offset_56|))
(assert (>= __list_add_~next.offset_57 |__list_add_#in~next.offset_56|))
(assert (not (not (= (select |#valid_30| __list_add_~next.base_57) 0))))
(check-sat)
(exit)

