(set-logic QF_ALIA)
(set-info
  :source |
SMT script generated by Ultimate Automizer [1,2].
Ultimate Automizer is an automatic software verification tool that implements
a new automata-theoretic approach [3].

This SMT script belongs to a set of SMT scripts that was generated by applying
Ultimate Automizer to benchmarks from the SV-COMP 2015 [4,5] which are available 
at [6].

This script does _not_ contain all SMT commands that are used by Ultimate 
Automizer while verifying a program. In order to fulfill the restrictions of
the main track at SMT-COMP this script contains only the commands that are
sufficient to reproduce one single satisfiablity check.

2015-04-30, Matthias Heizmann (heizmann@informatik.uni-freiburg.de)


[1] https://ultimate.informatik.uni-freiburg.de/automizer/
[2] Matthias Heizmann, Daniel Dietsch, Jan Leike, Betim Musa, Andreas Podelski:
Ultimate Automizer with Array Interpolation - (Competition Contribution). 
TACAS 2015: 455-457
[3] Matthias Heizmann, Jochen Hoenicke, Andreas Podelski: Software Model 
Checking for People Who Love Automata. CAV 2013:36-52
[4] Dirk Beyer: Software Verification and Verifiable Witnesses - (Report on 
SV-COMP 2015). TACAS 2015: 401-416
[5] http://sv-comp.sosy-lab.org/2015/
[6] https://svn.sosy-lab.org/software/sv-benchmarks/tags/svcomp15/


Made compatible to SMT-COMP rules by SMTInterpol
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unsat)
(define-sort ~size_t () Int)
(declare-fun |#funAddr~dll_insert_slave.base| () Int)
(declare-fun |#funAddr~dll_insert_slave.offset| () Int)
(declare-fun |#funAddr~dll_insert_master.base| () Int)
(declare-fun |#funAddr~dll_insert_master.offset| () Int)
(declare-fun |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next| () Int)
(declare-fun |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev| () Int)
(declare-fun
  |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next| ()
  Int)
(declare-fun
  |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev| ()
  Int)
(declare-fun
  |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave| ()
  Int)
(declare-fun |#sizeof~$Pointer$| () Int)
(assert
 (and (= |#funAddr~dll_insert_slave.base| (- 1))
 (= |#funAddr~dll_insert_slave.offset| 0)))
(assert
 (and (= |#funAddr~dll_insert_master.base| (- 1))
 (= |#funAddr~dll_insert_master.offset| 1)))
(assert (= |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next| 0))
(assert (= |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev| 4))
(assert
 (= |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next| 0))
(assert
 (= |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev| 4))
(assert
 (= |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave| 8))
(assert (= |#sizeof~$Pointer$| 4))
(declare-fun |#length_-1| () (Array Int Int))
(declare-fun |#NULL.offset_-1| () Int)
(declare-fun |#memory_$Pointer$.offset_-1| () (Array Int (Array Int Int)))
(declare-fun |#valid_-1| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_-1| () (Array Int (Array Int Int)))
(declare-fun |#NULL.base_-1| () Int)
(declare-fun |old(#valid)_0| () (Array Int Int))
(declare-fun |old(#NULL.offset)_0| () Int)
(declare-fun |old(#NULL.base)_0| () Int)
(declare-fun |#NULL.offset_0| () Int)
(declare-fun |#valid_0| () (Array Int Int))
(declare-fun |#NULL.base_0| () Int)
(declare-fun |#NULL.offset_1| () Int)
(declare-fun |#valid_1| () (Array Int Int))
(declare-fun |#NULL.base_1| () Int)
(declare-fun |old(#length)_3| () (Array Int Int))
(declare-fun |old(#valid)_3| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_3| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_3| () (Array Int (Array Int Int)))
(declare-fun |#length_3| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_3| () (Array Int (Array Int Int)))
(declare-fun |#valid_3| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_3| () (Array Int (Array Int Int)))
(declare-fun |old(#length)_4| () (Array Int Int))
(declare-fun |old(#valid)_4| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_4| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_4| () (Array Int (Array Int Int)))
(declare-fun |#length_4| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_4| () (Array Int (Array Int Int)))
(declare-fun |#valid_4| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_4| () (Array Int (Array Int Int)))
(declare-fun |old(#length)_5| () (Array Int Int))
(declare-fun |old(#valid)_5| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_5| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_5| () (Array Int (Array Int Int)))
(declare-fun |#length_5| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_5| () (Array Int (Array Int Int)))
(declare-fun |#valid_5| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_5| () (Array Int (Array Int Int)))
(declare-fun |dll_create_generic_#in~insert_fnc.base_5| () Int)
(declare-fun |dll_create_generic_#in~insert_fnc.offset_5| () Int)
(declare-fun |#length_6| () (Array Int Int))
(declare-fun |dll_create_generic_~#dll~10.base_6| () Int)
(declare-fun dll_create_generic_~insert_fnc.base_6 () Int)
(declare-fun |dll_create_generic_~#dll~10.offset_6| () Int)
(declare-fun dll_create_generic_~insert_fnc.offset_6 () Int)
(declare-fun |#memory_$Pointer$.offset_6| () (Array Int (Array Int Int)))
(declare-fun |#valid_6| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_6| () (Array Int (Array Int Int)))
(declare-fun |old(#length)_7| () (Array Int Int))
(declare-fun |old(#valid)_7| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_7| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_7| () (Array Int (Array Int Int)))
(declare-fun |#length_7| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_7| () (Array Int (Array Int Int)))
(declare-fun |#valid_7| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_7| () (Array Int (Array Int Int)))
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.offset_7| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.base_7| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.base_7| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.offset_7| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.base_8| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.offset_8| () Int)
(declare-fun |old(#length)_10| () (Array Int Int))
(declare-fun |old(#valid)_10| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_10| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_10| () (Array Int (Array Int Int)))
(declare-fun |#length_10| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_10| () (Array Int (Array Int Int)))
(declare-fun |#valid_10| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_10| () (Array Int (Array Int Int)))
(declare-fun |dll_insert_master_#in~dll.base_10| () Int)
(declare-fun |dll_insert_master_#in~dll.offset_10| () Int)
(declare-fun dll_insert_master_~dll.offset_11 () Int)
(declare-fun dll_insert_master_~dll.base_11 () Int)
(declare-fun |old(#length)_12| () (Array Int Int))
(declare-fun |old(#valid)_12| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_12| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_12| () (Array Int (Array Int Int)))
(declare-fun |#length_12| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_12| () (Array Int (Array Int Int)))
(declare-fun |#valid_12| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_12| () (Array Int (Array Int Int)))
(declare-fun |#length_13| () (Array Int Int))
(declare-fun |alloc_or_die_master_#t~malloc3.base_13| () Int)
(declare-fun alloc_or_die_master_~ptr~8.offset_13 () Int)
(declare-fun |alloc_or_die_master_#res.offset_13| () Int)
(declare-fun |#memory_$Pointer$.offset_13| () (Array Int (Array Int Int)))
(declare-fun |#valid_13| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_13| () (Array Int (Array Int Int)))
(declare-fun |alloc_or_die_master_#t~malloc3.offset_13| () Int)
(declare-fun alloc_or_die_master_~ptr~8.base_13 () Int)
(declare-fun |alloc_or_die_master_#res.base_13| () Int)
(declare-fun |dll_insert_master_#t~ret21.base_14| () Int)
(declare-fun |dll_insert_master_#t~ret21.offset_14| () Int)
(declare-fun dll_insert_master_~item~21.offset_15 () Int)
(declare-fun dll_insert_master_~next~21.base_15 () Int)
(declare-fun |#memory_$Pointer$.offset_15| () (Array Int (Array Int Int)))
(declare-fun dll_insert_master_~item~21.base_15 () Int)
(declare-fun |#memory_$Pointer$.base_15| () (Array Int (Array Int Int)))
(declare-fun dll_insert_master_~next~21.offset_15 () Int)
(declare-fun |old(#length)_16| () (Array Int Int))
(declare-fun |old(#valid)_16| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_16| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_16| () (Array Int (Array Int Int)))
(declare-fun |#length_16| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_16| () (Array Int (Array Int Int)))
(declare-fun |#valid_16| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_16| () (Array Int (Array Int Int)))
(declare-fun |old(#length)_17| () (Array Int Int))
(declare-fun |old(#valid)_17| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_17| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_17| () (Array Int (Array Int Int)))
(declare-fun |#length_17| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_17| () (Array Int (Array Int Int)))
(declare-fun |#valid_17| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_17| () (Array Int (Array Int Int)))
(declare-fun |dll_create_generic_#in~insert_fnc.base_17| () Int)
(declare-fun |dll_create_generic_#in~insert_fnc.offset_17| () Int)
(declare-fun |#length_18| () (Array Int Int))
(declare-fun |dll_create_generic_~#dll~10.base_18| () Int)
(declare-fun dll_create_generic_~insert_fnc.base_18 () Int)
(declare-fun |dll_create_generic_~#dll~10.offset_18| () Int)
(declare-fun dll_create_generic_~insert_fnc.offset_18 () Int)
(declare-fun |#memory_$Pointer$.offset_18| () (Array Int (Array Int Int)))
(declare-fun |#valid_18| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_18| () (Array Int (Array Int Int)))
(declare-fun |old(#length)_19| () (Array Int Int))
(declare-fun |old(#valid)_19| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_19| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_19| () (Array Int (Array Int Int)))
(declare-fun |#length_19| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_19| () (Array Int (Array Int Int)))
(declare-fun |#valid_19| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_19| () (Array Int (Array Int Int)))
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.offset_19| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.base_19| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.base_19| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.offset_19| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.base_20| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.offset_20| () Int)
(declare-fun |old(#length)_22| () (Array Int Int))
(declare-fun |old(#valid)_22| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_22| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_22| () (Array Int (Array Int Int)))
(declare-fun |#length_22| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_22| () (Array Int (Array Int Int)))
(declare-fun |#valid_22| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_22| () (Array Int (Array Int Int)))
(declare-fun |dll_insert_slave_#in~dll.base_22| () Int)
(declare-fun |dll_insert_slave_#in~dll.offset_22| () Int)
(declare-fun dll_insert_slave_~dll.offset_23 () Int)
(declare-fun dll_insert_slave_~dll.base_23 () Int)
(declare-fun |old(#length)_24| () (Array Int Int))
(declare-fun |old(#valid)_24| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_24| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_24| () (Array Int (Array Int Int)))
(declare-fun |#length_24| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_24| () (Array Int (Array Int Int)))
(declare-fun |#valid_24| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_24| () (Array Int (Array Int Int)))
(declare-fun |#length_25| () (Array Int Int))
(declare-fun alloc_or_die_slave_~ptr~7.offset_25 () Int)
(declare-fun |alloc_or_die_slave_#res.base_25| () Int)
(declare-fun |#memory_$Pointer$.offset_25| () (Array Int (Array Int Int)))
(declare-fun |#valid_25| () (Array Int Int))
(declare-fun |alloc_or_die_slave_#t~malloc0.base_25| () Int)
(declare-fun |#memory_$Pointer$.base_25| () (Array Int (Array Int Int)))
(declare-fun alloc_or_die_slave_~ptr~7.base_25 () Int)
(declare-fun |alloc_or_die_slave_#t~malloc0.offset_25| () Int)
(declare-fun |alloc_or_die_slave_#res.offset_25| () Int)
(declare-fun |dll_insert_slave_#t~ret7.base_26| () Int)
(declare-fun |dll_insert_slave_#t~ret7.offset_26| () Int)
(declare-fun dll_insert_slave_~next~9.offset_27 () Int)
(declare-fun dll_insert_slave_~next~9.base_27 () Int)
(declare-fun dll_insert_slave_~item~9.base_27 () Int)
(declare-fun |#memory_$Pointer$.offset_27| () (Array Int (Array Int Int)))
(declare-fun dll_insert_slave_~item~9.offset_27 () Int)
(declare-fun |#memory_$Pointer$.base_27| () (Array Int (Array Int Int)))
(declare-fun |v_#memory_$Pointer$.base_263_fresh_9| ()
  (Array Int (Array Int Int)))
(declare-fun |v_#memory_$Pointer$.offset_263_fresh_9| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#length)_31| () (Array Int Int))
(declare-fun |old(#valid)_31| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_31| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_31| () (Array Int (Array Int Int)))
(declare-fun |#length_31| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_31| () (Array Int (Array Int Int)))
(declare-fun |#valid_31| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_31| () (Array Int (Array Int Int)))
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.offset_31| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.base_31| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.base_31| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.offset_31| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.base_32| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.offset_32| () Int)
(declare-fun |old(#length)_34| () (Array Int Int))
(declare-fun |old(#valid)_34| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_34| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_34| () (Array Int (Array Int Int)))
(declare-fun |#length_34| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_34| () (Array Int (Array Int Int)))
(declare-fun |#valid_34| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_34| () (Array Int (Array Int Int)))
(declare-fun |dll_insert_slave_#in~dll.base_34| () Int)
(declare-fun |dll_insert_slave_#in~dll.offset_34| () Int)
(declare-fun dll_insert_slave_~dll.offset_35 () Int)
(declare-fun dll_insert_slave_~dll.base_35 () Int)
(declare-fun |old(#length)_36| () (Array Int Int))
(declare-fun |old(#valid)_36| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_36| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_36| () (Array Int (Array Int Int)))
(declare-fun |#length_36| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_36| () (Array Int (Array Int Int)))
(declare-fun |#valid_36| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_36| () (Array Int (Array Int Int)))
(declare-fun |#length_37| () (Array Int Int))
(declare-fun alloc_or_die_slave_~ptr~7.offset_37 () Int)
(declare-fun |alloc_or_die_slave_#res.base_37| () Int)
(declare-fun |#memory_$Pointer$.offset_37| () (Array Int (Array Int Int)))
(declare-fun |#valid_37| () (Array Int Int))
(declare-fun |alloc_or_die_slave_#t~malloc0.base_37| () Int)
(declare-fun |#memory_$Pointer$.base_37| () (Array Int (Array Int Int)))
(declare-fun alloc_or_die_slave_~ptr~7.base_37 () Int)
(declare-fun |alloc_or_die_slave_#t~malloc0.offset_37| () Int)
(declare-fun |alloc_or_die_slave_#res.offset_37| () Int)
(declare-fun |dll_insert_slave_#t~ret7.base_38| () Int)
(declare-fun |dll_insert_slave_#t~ret7.offset_38| () Int)
(declare-fun dll_insert_slave_~next~9.offset_39 () Int)
(declare-fun dll_insert_slave_~next~9.base_39 () Int)
(declare-fun dll_insert_slave_~item~9.base_39 () Int)
(declare-fun |#memory_$Pointer$.offset_39| () (Array Int (Array Int Int)))
(declare-fun dll_insert_slave_~item~9.offset_39 () Int)
(declare-fun |#memory_$Pointer$.base_39| () (Array Int (Array Int Int)))
(declare-fun |v_#memory_$Pointer$.base_263_fresh_10| ()
  (Array Int (Array Int Int)))
(declare-fun |v_#memory_$Pointer$.offset_263_fresh_10| ()
  (Array Int (Array Int Int)))
(declare-fun |dll_create_generic_#t~nondet12_17| () Int)
(declare-fun |dll_create_generic_#res.offset_45| () Int)
(declare-fun |dll_create_generic_#res.base_45| () Int)
(declare-fun |dll_create_slave_#t~ret14.offset_46| () Int)
(declare-fun |dll_create_slave_#t~ret14.base_46| () Int)
(declare-fun |dll_create_slave_#res.base_47| () Int)
(declare-fun |dll_create_slave_#res.offset_47| () Int)
(declare-fun |dll_insert_master_#t~ret25.base_48| () Int)
(declare-fun |dll_insert_master_#t~ret25.offset_48| () Int)
(declare-fun |#memory_$Pointer$.offset_49| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_49| () (Array Int (Array Int Int)))
(declare-fun |old(#length)_53| () (Array Int Int))
(declare-fun |old(#valid)_53| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_53| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_53| () (Array Int (Array Int Int)))
(declare-fun |#length_53| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_53| () (Array Int (Array Int Int)))
(declare-fun |#valid_53| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_53| () (Array Int (Array Int Int)))
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.offset_53| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.base_53| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.base_53| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.offset_53| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.base_54| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.offset_54| () Int)
(declare-fun |old(#length)_56| () (Array Int Int))
(declare-fun |old(#valid)_56| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_56| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_56| () (Array Int (Array Int Int)))
(declare-fun |#length_56| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_56| () (Array Int (Array Int Int)))
(declare-fun |#valid_56| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_56| () (Array Int (Array Int Int)))
(declare-fun |dll_insert_master_#in~dll.base_56| () Int)
(declare-fun |dll_insert_master_#in~dll.offset_56| () Int)
(declare-fun dll_insert_master_~dll.offset_57 () Int)
(declare-fun dll_insert_master_~dll.base_57 () Int)
(declare-fun |old(#length)_58| () (Array Int Int))
(declare-fun |old(#valid)_58| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_58| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_58| () (Array Int (Array Int Int)))
(declare-fun |#length_58| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_58| () (Array Int (Array Int Int)))
(declare-fun |#valid_58| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_58| () (Array Int (Array Int Int)))
(declare-fun |#length_59| () (Array Int Int))
(declare-fun |alloc_or_die_master_#t~malloc3.base_59| () Int)
(declare-fun alloc_or_die_master_~ptr~8.offset_59 () Int)
(declare-fun |alloc_or_die_master_#res.offset_59| () Int)
(declare-fun |#memory_$Pointer$.offset_59| () (Array Int (Array Int Int)))
(declare-fun |#valid_59| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_59| () (Array Int (Array Int Int)))
(declare-fun |alloc_or_die_master_#t~malloc3.offset_59| () Int)
(declare-fun alloc_or_die_master_~ptr~8.base_59 () Int)
(declare-fun |alloc_or_die_master_#res.base_59| () Int)
(declare-fun |dll_insert_master_#t~ret21.base_60| () Int)
(declare-fun |dll_insert_master_#t~ret21.offset_60| () Int)
(declare-fun dll_insert_master_~item~21.offset_61 () Int)
(declare-fun dll_insert_master_~next~21.base_61 () Int)
(declare-fun |#memory_$Pointer$.offset_61| () (Array Int (Array Int Int)))
(declare-fun dll_insert_master_~item~21.base_61 () Int)
(declare-fun |#memory_$Pointer$.base_61| () (Array Int (Array Int Int)))
(declare-fun dll_insert_master_~next~21.offset_61 () Int)
(declare-fun |old(#length)_62| () (Array Int Int))
(declare-fun |old(#valid)_62| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_62| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_62| () (Array Int (Array Int Int)))
(declare-fun |#length_62| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_62| () (Array Int (Array Int Int)))
(declare-fun |#valid_62| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_62| () (Array Int (Array Int Int)))
(declare-fun |old(#length)_63| () (Array Int Int))
(declare-fun |old(#valid)_63| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_63| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_63| () (Array Int (Array Int Int)))
(declare-fun |#length_63| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_63| () (Array Int (Array Int Int)))
(declare-fun |#valid_63| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_63| () (Array Int (Array Int Int)))
(declare-fun |dll_create_generic_#in~insert_fnc.base_63| () Int)
(declare-fun |dll_create_generic_#in~insert_fnc.offset_63| () Int)
(declare-fun |#length_64| () (Array Int Int))
(declare-fun |dll_create_generic_~#dll~10.base_64| () Int)
(declare-fun dll_create_generic_~insert_fnc.base_64 () Int)
(declare-fun |dll_create_generic_~#dll~10.offset_64| () Int)
(declare-fun dll_create_generic_~insert_fnc.offset_64 () Int)
(declare-fun |#memory_$Pointer$.offset_64| () (Array Int (Array Int Int)))
(declare-fun |#valid_64| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_64| () (Array Int (Array Int Int)))
(declare-fun |old(#length)_65| () (Array Int Int))
(declare-fun |old(#valid)_65| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_65| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_65| () (Array Int (Array Int Int)))
(declare-fun |#length_65| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_65| () (Array Int (Array Int Int)))
(declare-fun |#valid_65| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_65| () (Array Int (Array Int Int)))
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.offset_65| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.base_65| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.base_65| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.offset_65| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.base_66| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.offset_66| () Int)
(declare-fun |old(#length)_68| () (Array Int Int))
(declare-fun |old(#valid)_68| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_68| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_68| () (Array Int (Array Int Int)))
(declare-fun |#length_68| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_68| () (Array Int (Array Int Int)))
(declare-fun |#valid_68| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_68| () (Array Int (Array Int Int)))
(declare-fun |dll_insert_slave_#in~dll.base_68| () Int)
(declare-fun |dll_insert_slave_#in~dll.offset_68| () Int)
(declare-fun dll_insert_slave_~dll.offset_69 () Int)
(declare-fun dll_insert_slave_~dll.base_69 () Int)
(declare-fun |old(#length)_70| () (Array Int Int))
(declare-fun |old(#valid)_70| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_70| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_70| () (Array Int (Array Int Int)))
(declare-fun |#length_70| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_70| () (Array Int (Array Int Int)))
(declare-fun |#valid_70| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_70| () (Array Int (Array Int Int)))
(declare-fun |#length_71| () (Array Int Int))
(declare-fun alloc_or_die_slave_~ptr~7.offset_71 () Int)
(declare-fun |alloc_or_die_slave_#res.base_71| () Int)
(declare-fun |#memory_$Pointer$.offset_71| () (Array Int (Array Int Int)))
(declare-fun |#valid_71| () (Array Int Int))
(declare-fun |alloc_or_die_slave_#t~malloc0.base_71| () Int)
(declare-fun |#memory_$Pointer$.base_71| () (Array Int (Array Int Int)))
(declare-fun alloc_or_die_slave_~ptr~7.base_71 () Int)
(declare-fun |alloc_or_die_slave_#t~malloc0.offset_71| () Int)
(declare-fun |alloc_or_die_slave_#res.offset_71| () Int)
(declare-fun |dll_insert_slave_#t~ret7.base_72| () Int)
(declare-fun |dll_insert_slave_#t~ret7.offset_72| () Int)
(declare-fun dll_insert_slave_~next~9.offset_73 () Int)
(declare-fun dll_insert_slave_~next~9.base_73 () Int)
(declare-fun dll_insert_slave_~item~9.base_73 () Int)
(declare-fun |#memory_$Pointer$.offset_73| () (Array Int (Array Int Int)))
(declare-fun dll_insert_slave_~item~9.offset_73 () Int)
(declare-fun |#memory_$Pointer$.base_73| () (Array Int (Array Int Int)))
(declare-fun |v_#memory_$Pointer$.base_263_fresh_11| ()
  (Array Int (Array Int Int)))
(declare-fun |v_#memory_$Pointer$.offset_263_fresh_11| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#length)_77| () (Array Int Int))
(declare-fun |old(#valid)_77| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_77| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_77| () (Array Int (Array Int Int)))
(declare-fun |#length_77| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_77| () (Array Int (Array Int Int)))
(declare-fun |#valid_77| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_77| () (Array Int (Array Int Int)))
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.offset_77| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.base_77| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#fp.base_77| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#in~#param0.offset_77| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.base_78| () Int)
(declare-fun |##fun~$Pointer$~TO~VOID_#~#param0.offset_78| () Int)
(declare-fun |old(#length)_80| () (Array Int Int))
(declare-fun |old(#valid)_80| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_80| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_80| () (Array Int (Array Int Int)))
(declare-fun |#length_80| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_80| () (Array Int (Array Int Int)))
(declare-fun |#valid_80| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_80| () (Array Int (Array Int Int)))
(declare-fun |dll_insert_slave_#in~dll.base_80| () Int)
(declare-fun |dll_insert_slave_#in~dll.offset_80| () Int)
(declare-fun dll_insert_slave_~dll.offset_81 () Int)
(declare-fun dll_insert_slave_~dll.base_81 () Int)
(declare-fun |old(#length)_82| () (Array Int Int))
(declare-fun |old(#valid)_82| () (Array Int Int))
(declare-fun |old(#memory_$Pointer$.offset)_82| ()
  (Array Int (Array Int Int)))
(declare-fun |old(#memory_$Pointer$.base)_82| () (Array Int (Array Int Int)))
(declare-fun |#length_82| () (Array Int Int))
(declare-fun |#memory_$Pointer$.offset_82| () (Array Int (Array Int Int)))
(declare-fun |#valid_82| () (Array Int Int))
(declare-fun |#memory_$Pointer$.base_82| () (Array Int (Array Int Int)))
(declare-fun |#length_83| () (Array Int Int))
(declare-fun alloc_or_die_slave_~ptr~7.offset_83 () Int)
(declare-fun |alloc_or_die_slave_#res.base_83| () Int)
(declare-fun |#memory_$Pointer$.offset_83| () (Array Int (Array Int Int)))
(declare-fun |#valid_83| () (Array Int Int))
(declare-fun |alloc_or_die_slave_#t~malloc0.base_83| () Int)
(declare-fun |#memory_$Pointer$.base_83| () (Array Int (Array Int Int)))
(declare-fun alloc_or_die_slave_~ptr~7.base_83 () Int)
(declare-fun |alloc_or_die_slave_#t~malloc0.offset_83| () Int)
(declare-fun |alloc_or_die_slave_#res.offset_83| () Int)
(declare-fun |dll_insert_slave_#t~ret7.base_84| () Int)
(declare-fun |dll_insert_slave_#t~ret7.offset_84| () Int)
(declare-fun dll_insert_slave_~next~9.offset_85 () Int)
(declare-fun dll_insert_slave_~next~9.base_85 () Int)
(declare-fun dll_insert_slave_~item~9.base_85 () Int)
(declare-fun |#memory_$Pointer$.offset_85| () (Array Int (Array Int Int)))
(declare-fun dll_insert_slave_~item~9.offset_85 () Int)
(declare-fun |#memory_$Pointer$.base_85| () (Array Int (Array Int Int)))
(declare-fun |v_#memory_$Pointer$.base_263_fresh_12| ()
  (Array Int (Array Int Int)))
(declare-fun |v_#memory_$Pointer$.offset_263_fresh_12| ()
  (Array Int (Array Int Int)))
(declare-fun |dll_create_generic_#t~nondet12_63| () Int)
(declare-fun |dll_create_generic_#res.offset_91| () Int)
(declare-fun |dll_create_generic_#res.base_91| () Int)
(declare-fun |dll_create_slave_#t~ret14.offset_92| () Int)
(declare-fun |dll_create_slave_#t~ret14.base_92| () Int)
(declare-fun |dll_create_slave_#res.base_93| () Int)
(declare-fun |dll_create_slave_#res.offset_93| () Int)
(declare-fun |dll_insert_master_#t~ret25.base_94| () Int)
(declare-fun |dll_insert_master_#t~ret25.offset_94| () Int)
(declare-fun |#memory_$Pointer$.offset_95| () (Array Int (Array Int Int)))
(declare-fun |#memory_$Pointer$.base_95| () (Array Int (Array Int Int)))
(declare-fun |dll_create_generic_#t~nondet12_5| () Int)
(declare-fun |dll_create_generic_#res.offset_101| () Int)
(declare-fun |dll_create_generic_#res.base_101| () Int)
(declare-fun |dll_create_master_#t~ret28.base_102| () Int)
(declare-fun |dll_create_master_#t~ret28.offset_102| () Int)
(declare-fun |dll_create_master_#res.base_103| () Int)
(declare-fun |dll_create_master_#res.offset_103| () Int)
(declare-fun |main_#t~ret53.offset_104| () Int)
(declare-fun |main_#t~ret53.base_104| () Int)
(declare-fun main_~dll~46.offset_105 () Int)
(declare-fun main_~dll~46.base_105 () Int)
(declare-fun |inspect_full_#in~dll.offset_106| () Int)
(declare-fun |inspect_full_#in~dll.base_106| () Int)
(declare-fun inspect_full_~dll.offset_107 () Int)
(declare-fun inspect_full_~dll.base_107 () Int)
(declare-fun |inspect_base_#in~dll.base_108| () Int)
(declare-fun |inspect_base_#in~dll.offset_108| () Int)
(declare-fun inspect_base_~dll.base_109 () Int)
(declare-fun inspect_base_~dll.offset_109 () Int)
(declare-fun |inspect_base_#t~mem29.offset_113| () Int)
(declare-fun |inspect_base_#t~mem29.base_113| () Int)
(assert true)
(assert (not false))
(assert (<= |#NULL.offset_0| |old(#NULL.offset)_0|))
(assert (>= |#NULL.offset_0| |old(#NULL.offset)_0|))
(assert (= |#valid_0| |old(#valid)_0|))
(assert (<= |#NULL.base_0| |old(#NULL.base)_0|))
(assert (>= |#NULL.base_0| |old(#NULL.base)_0|))
(assert true)
(assert (<= |old(#NULL.offset)_0| |#NULL.offset_-1|))
(assert (>= |old(#NULL.offset)_0| |#NULL.offset_-1|))
(assert (= |old(#valid)_0| |#valid_-1|))
(assert (<= |old(#NULL.base)_0| |#NULL.base_-1|))
(assert (>= |old(#NULL.base)_0| |#NULL.base_-1|))
(assert (<= |#NULL.offset_1| 0))
(assert (>= |#NULL.offset_1| 0))
(assert (<= |#NULL.base_1| 0))
(assert (>= |#NULL.base_1| 0))
(assert (= |#valid_1| (store |#valid_0| 0 0)))
(assert true)
(assert (= |#memory_$Pointer$.offset_3| |old(#memory_$Pointer$.offset)_3|))
(assert (= |#memory_$Pointer$.base_3| |old(#memory_$Pointer$.base)_3|))
(assert (= |#valid_3| |old(#valid)_3|))
(assert (= |#length_3| |old(#length)_3|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_3| |#memory_$Pointer$.offset_-1|))
(assert (= |old(#memory_$Pointer$.base)_3| |#memory_$Pointer$.base_-1|))
(assert (= |old(#valid)_3| |#valid_1|))
(assert (= |old(#length)_3| |#length_-1|))
(assert (= |#memory_$Pointer$.offset_4| |old(#memory_$Pointer$.offset)_4|))
(assert (= |#memory_$Pointer$.base_4| |old(#memory_$Pointer$.base)_4|))
(assert (= |#valid_4| |old(#valid)_4|))
(assert (= |#length_4| |old(#length)_4|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_4| |#memory_$Pointer$.offset_3|))
(assert (= |old(#memory_$Pointer$.base)_4| |#memory_$Pointer$.base_3|))
(assert (= |old(#valid)_4| |#valid_3|))
(assert (= |old(#length)_4| |#length_3|))
(assert (= |#memory_$Pointer$.offset_5| |old(#memory_$Pointer$.offset)_5|))
(assert (= |#memory_$Pointer$.base_5| |old(#memory_$Pointer$.base)_5|))
(assert (= |#valid_5| |old(#valid)_5|))
(assert (= |#length_5| |old(#length)_5|))
(assert
 (<= |dll_create_generic_#in~insert_fnc.base_5|
 |#funAddr~dll_insert_master.base|))
(assert
 (>= |dll_create_generic_#in~insert_fnc.base_5|
 |#funAddr~dll_insert_master.base|))
(assert
 (<= |dll_create_generic_#in~insert_fnc.offset_5|
 |#funAddr~dll_insert_master.offset|))
(assert
 (>= |dll_create_generic_#in~insert_fnc.offset_5|
 |#funAddr~dll_insert_master.offset|))
(assert (= |old(#memory_$Pointer$.offset)_5| |#memory_$Pointer$.offset_4|))
(assert (= |old(#memory_$Pointer$.base)_5| |#memory_$Pointer$.base_4|))
(assert (= |old(#valid)_5| |#valid_4|))
(assert (= |old(#length)_5| |#length_4|))
(assert
 (= |#memory_$Pointer$.base_6|
 (store |#memory_$Pointer$.base_5| |dll_create_generic_~#dll~10.base_6|
 (store
 (select |#memory_$Pointer$.base_5| |dll_create_generic_~#dll~10.base_6|)
 |dll_create_generic_~#dll~10.offset_6| 0))))
(assert
 (= |#memory_$Pointer$.offset_6|
 (store |#memory_$Pointer$.offset_5| |dll_create_generic_~#dll~10.base_6|
 (store
 (select |#memory_$Pointer$.offset_5| |dll_create_generic_~#dll~10.base_6|)
 |dll_create_generic_~#dll~10.offset_6| 0))))
(assert
 (<= dll_create_generic_~insert_fnc.offset_6
 |dll_create_generic_#in~insert_fnc.offset_5|))
(assert
 (>= dll_create_generic_~insert_fnc.offset_6
 |dll_create_generic_#in~insert_fnc.offset_5|))
(assert
 (<= dll_create_generic_~insert_fnc.base_6
 |dll_create_generic_#in~insert_fnc.base_5|))
(assert
 (>= dll_create_generic_~insert_fnc.base_6
 |dll_create_generic_#in~insert_fnc.base_5|))
(assert
 (= |#length_6| (store |#length_5| |dll_create_generic_~#dll~10.base_6| 4)))
(assert (not (= |dll_create_generic_~#dll~10.base_6| 0)))
(assert (<= |dll_create_generic_~#dll~10.offset_6| 0))
(assert (>= |dll_create_generic_~#dll~10.offset_6| 0))
(assert
 (= |#valid_6| (store |#valid_5| |dll_create_generic_~#dll~10.base_6| 1)))
(assert
 (not (not (= (select |#valid_5| |dll_create_generic_~#dll~10.base_6|) 0))))
(assert (= |#memory_$Pointer$.offset_7| |old(#memory_$Pointer$.offset)_7|))
(assert (= |#memory_$Pointer$.base_7| |old(#memory_$Pointer$.base)_7|))
(assert (= |#valid_7| |old(#valid)_7|))
(assert (= |#length_7| |old(#length)_7|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.base_7|
 |dll_create_generic_~#dll~10.base_6|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.base_7|
 |dll_create_generic_~#dll~10.base_6|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_7|
 |dll_create_generic_~#dll~10.offset_6|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_7|
 |dll_create_generic_~#dll~10.offset_6|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.base_7|
 dll_create_generic_~insert_fnc.base_6))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.base_7|
 dll_create_generic_~insert_fnc.base_6))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_7|
 dll_create_generic_~insert_fnc.offset_6))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_7|
 dll_create_generic_~insert_fnc.offset_6))
(assert (= |old(#memory_$Pointer$.offset)_7| |#memory_$Pointer$.offset_6|))
(assert (= |old(#memory_$Pointer$.base)_7| |#memory_$Pointer$.base_6|))
(assert (= |old(#valid)_7| |#valid_6|))
(assert (= |old(#length)_7| |#length_6|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.offset_8|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_7|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.offset_8|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_7|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.base_8|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_7|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.base_8|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_7|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.base_7|
 |#funAddr~dll_insert_master.base|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.base_7|
 |#funAddr~dll_insert_master.base|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_7|
 |#funAddr~dll_insert_master.offset|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_7|
 |#funAddr~dll_insert_master.offset|))
(assert (= |#memory_$Pointer$.offset_10| |old(#memory_$Pointer$.offset)_10|))
(assert (= |#memory_$Pointer$.base_10| |old(#memory_$Pointer$.base)_10|))
(assert (= |#valid_10| |old(#valid)_10|))
(assert (= |#length_10| |old(#length)_10|))
(assert
 (<= |dll_insert_master_#in~dll.base_10|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_8|))
(assert
 (>= |dll_insert_master_#in~dll.base_10|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_8|))
(assert
 (<= |dll_insert_master_#in~dll.offset_10|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_8|))
(assert
 (>= |dll_insert_master_#in~dll.offset_10|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_8|))
(assert (= |old(#memory_$Pointer$.offset)_10| |#memory_$Pointer$.offset_7|))
(assert (= |old(#memory_$Pointer$.base)_10| |#memory_$Pointer$.base_7|))
(assert (= |old(#valid)_10| |#valid_7|))
(assert (= |old(#length)_10| |#length_7|))
(assert
 (<= dll_insert_master_~dll.base_11 |dll_insert_master_#in~dll.base_10|))
(assert
 (>= dll_insert_master_~dll.base_11 |dll_insert_master_#in~dll.base_10|))
(assert
 (<= dll_insert_master_~dll.offset_11 |dll_insert_master_#in~dll.offset_10|))
(assert
 (>= dll_insert_master_~dll.offset_11 |dll_insert_master_#in~dll.offset_10|))
(assert (= |#memory_$Pointer$.offset_12| |old(#memory_$Pointer$.offset)_12|))
(assert (= |#memory_$Pointer$.base_12| |old(#memory_$Pointer$.base)_12|))
(assert (= |#valid_12| |old(#valid)_12|))
(assert (= |#length_12| |old(#length)_12|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_12| |#memory_$Pointer$.offset_10|))
(assert (= |old(#memory_$Pointer$.base)_12| |#memory_$Pointer$.base_10|))
(assert (= |old(#valid)_12| |#valid_10|))
(assert (= |old(#length)_12| |#length_10|))
(assert
 (<= |alloc_or_die_master_#res.base_13| alloc_or_die_master_~ptr~8.base_13))
(assert
 (>= |alloc_or_die_master_#res.base_13| alloc_or_die_master_~ptr~8.base_13))
(assert
 (<= |alloc_or_die_master_#res.offset_13|
 alloc_or_die_master_~ptr~8.offset_13))
(assert
 (>= |alloc_or_die_master_#res.offset_13|
 alloc_or_die_master_~ptr~8.offset_13))
(assert
 (= |#memory_$Pointer$.base_13|
 (store
 (store
 (store |#memory_$Pointer$.base_12| alloc_or_die_master_~ptr~8.base_13
 (store
 (select |#memory_$Pointer$.base_12| alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_13
 (store
 (select
 (store |#memory_$Pointer$.base_12| alloc_or_die_master_~ptr~8.base_13
 (store
 (select |#memory_$Pointer$.base_12| alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|) 0))
 alloc_or_die_master_~ptr~8.base_13
 (store
 (select
 (store
 (store |#memory_$Pointer$.base_12| alloc_or_die_master_~ptr~8.base_13
 (store
 (select |#memory_$Pointer$.base_12| alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_13
 (store
 (select
 (store |#memory_$Pointer$.base_12| alloc_or_die_master_~ptr~8.base_13
 (store
 (select |#memory_$Pointer$.base_12| alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|) 0))
 alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|) 0))))
(assert
 (= |#memory_$Pointer$.offset_13|
 (store
 (store
 (store |#memory_$Pointer$.offset_12| alloc_or_die_master_~ptr~8.base_13
 (store
 (select |#memory_$Pointer$.offset_12| alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_13
 (store
 (select
 (store |#memory_$Pointer$.offset_12| alloc_or_die_master_~ptr~8.base_13
 (store
 (select |#memory_$Pointer$.offset_12| alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|) 0))
 alloc_or_die_master_~ptr~8.base_13
 (store
 (select
 (store
 (store |#memory_$Pointer$.offset_12| alloc_or_die_master_~ptr~8.base_13
 (store
 (select |#memory_$Pointer$.offset_12| alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_13
 (store
 (select
 (store |#memory_$Pointer$.offset_12| alloc_or_die_master_~ptr~8.base_13
 (store
 (select |#memory_$Pointer$.offset_12| alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|) 0))
 alloc_or_die_master_~ptr~8.base_13)
 (+ alloc_or_die_master_~ptr~8.offset_13
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|) 0))))
(assert (not (= alloc_or_die_master_~ptr~8.base_13 0)))
(assert
 (<= alloc_or_die_master_~ptr~8.offset_13
 |alloc_or_die_master_#t~malloc3.offset_13|))
(assert
 (>= alloc_or_die_master_~ptr~8.offset_13
 |alloc_or_die_master_#t~malloc3.offset_13|))
(assert
 (<= alloc_or_die_master_~ptr~8.base_13
 |alloc_or_die_master_#t~malloc3.base_13|))
(assert
 (>= alloc_or_die_master_~ptr~8.base_13
 |alloc_or_die_master_#t~malloc3.base_13|))
(assert
 (= |#length_13|
 (store |#length_12| |alloc_or_die_master_#t~malloc3.base_13| 12)))
(assert (not (= |alloc_or_die_master_#t~malloc3.base_13| 0)))
(assert (<= |alloc_or_die_master_#t~malloc3.offset_13| 0))
(assert (>= |alloc_or_die_master_#t~malloc3.offset_13| 0))
(assert
 (= |#valid_13|
 (store |#valid_12| |alloc_or_die_master_#t~malloc3.base_13| 1)))
(assert
 (not
 (not (= (select |#valid_12| |alloc_or_die_master_#t~malloc3.base_13|) 0))))
(assert
 (<= |dll_insert_master_#t~ret21.base_14| |alloc_or_die_master_#res.base_13|))
(assert
 (>= |dll_insert_master_#t~ret21.base_14| |alloc_or_die_master_#res.base_13|))
(assert
 (<= |dll_insert_master_#t~ret21.offset_14|
 |alloc_or_die_master_#res.offset_13|))
(assert
 (>= |dll_insert_master_#t~ret21.offset_14|
 |alloc_or_die_master_#res.offset_13|))
(assert
 (or
 (= |#memory_$Pointer$.offset_15|
 (store
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) dll_insert_master_~next~21.base_15
 (store
 (select
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) dll_insert_master_~next~21.base_15)
 (+ dll_insert_master_~next~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.offset_15)))
 (= dll_insert_master_~next~21.offset_15 |#NULL.offset_1|)))
(assert
 (or
 (=
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) |#memory_$Pointer$.offset_15|)
 (= |#memory_$Pointer$.base_15|
 (store
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) dll_insert_master_~next~21.base_15
 (store
 (select
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) dll_insert_master_~next~21.base_15)
 (+ dll_insert_master_~next~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.base_15)))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) |#memory_$Pointer$.base_15|)
 (= |#memory_$Pointer$.base_15|
 (store
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) dll_insert_master_~next~21.base_15
 (store
 (select
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) dll_insert_master_~next~21.base_15)
 (+ dll_insert_master_~next~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.base_15)))))
(assert
 (or (not (= dll_insert_master_~next~21.base_15 |#NULL.base_1|))
 (not (= dll_insert_master_~next~21.offset_15 |#NULL.offset_1|))
 (=
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) |#memory_$Pointer$.offset_15|)))
(assert
 (or (= dll_insert_master_~next~21.base_15 |#NULL.base_1|)
 (= |#memory_$Pointer$.base_15|
 (store
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) dll_insert_master_~next~21.base_15
 (store
 (select
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) dll_insert_master_~next~21.base_15)
 (+ dll_insert_master_~next~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.base_15)))))
(assert
 (or (not (= dll_insert_master_~next~21.base_15 |#NULL.base_1|))
 (=
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) |#memory_$Pointer$.base_15|)
 (not (= dll_insert_master_~next~21.offset_15 |#NULL.offset_1|))))
(assert
 (or (= dll_insert_master_~next~21.offset_15 |#NULL.offset_1|)
 (= |#memory_$Pointer$.base_15|
 (store
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) dll_insert_master_~next~21.base_15
 (store
 (select
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) dll_insert_master_~next~21.base_15)
 (+ dll_insert_master_~next~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.base_15)))))
(assert
 (or
 (= |#memory_$Pointer$.offset_15|
 (store
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) dll_insert_master_~next~21.base_15
 (store
 (select
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) dll_insert_master_~next~21.base_15)
 (+ dll_insert_master_~next~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.offset_15)))
 (=
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) |#memory_$Pointer$.offset_15|)))
(assert
 (or (= dll_insert_master_~next~21.base_15 |#NULL.base_1|)
 (= |#memory_$Pointer$.offset_15|
 (store
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) dll_insert_master_~next~21.base_15
 (store
 (select
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) dll_insert_master_~next~21.base_15)
 (+ dll_insert_master_~next~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.offset_15)))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_15)) |#memory_$Pointer$.base_15|)
 (= |#memory_$Pointer$.offset_15|
 (store
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) dll_insert_master_~next~21.base_15
 (store
 (select
 (store |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_15)) dll_insert_master_~next~21.base_15)
 (+ dll_insert_master_~next~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.offset_15)))))
(assert
 (<= dll_insert_master_~next~21.base_15
 (select (select |#memory_$Pointer$.base_13| dll_insert_master_~dll.base_11)
 dll_insert_master_~dll.offset_11)))
(assert
 (>= dll_insert_master_~next~21.base_15
 (select (select |#memory_$Pointer$.base_13| dll_insert_master_~dll.base_11)
 dll_insert_master_~dll.offset_11)))
(assert
 (<= dll_insert_master_~next~21.offset_15
 (select
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~dll.base_11)
 dll_insert_master_~dll.offset_11)))
(assert
 (>= dll_insert_master_~next~21.offset_15
 (select
 (select |#memory_$Pointer$.offset_13| dll_insert_master_~dll.base_11)
 dll_insert_master_~dll.offset_11)))
(assert
 (<= dll_insert_master_~item~21.base_15 |dll_insert_master_#t~ret21.base_14|))
(assert
 (>= dll_insert_master_~item~21.base_15 |dll_insert_master_#t~ret21.base_14|))
(assert
 (<= dll_insert_master_~item~21.offset_15
 |dll_insert_master_#t~ret21.offset_14|))
(assert
 (>= dll_insert_master_~item~21.offset_15
 |dll_insert_master_#t~ret21.offset_14|))
(assert (= |#memory_$Pointer$.offset_16| |old(#memory_$Pointer$.offset)_16|))
(assert (= |#memory_$Pointer$.base_16| |old(#memory_$Pointer$.base)_16|))
(assert (= |#valid_16| |old(#valid)_16|))
(assert (= |#length_16| |old(#length)_16|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_16| |#memory_$Pointer$.offset_15|))
(assert (= |old(#memory_$Pointer$.base)_16| |#memory_$Pointer$.base_15|))
(assert (= |old(#valid)_16| |#valid_13|))
(assert (= |old(#length)_16| |#length_13|))
(assert (= |#memory_$Pointer$.offset_17| |old(#memory_$Pointer$.offset)_17|))
(assert (= |#memory_$Pointer$.base_17| |old(#memory_$Pointer$.base)_17|))
(assert (= |#valid_17| |old(#valid)_17|))
(assert (= |#length_17| |old(#length)_17|))
(assert
 (<= |dll_create_generic_#in~insert_fnc.base_17|
 |#funAddr~dll_insert_slave.base|))
(assert
 (>= |dll_create_generic_#in~insert_fnc.base_17|
 |#funAddr~dll_insert_slave.base|))
(assert
 (<= |dll_create_generic_#in~insert_fnc.offset_17|
 |#funAddr~dll_insert_slave.offset|))
(assert
 (>= |dll_create_generic_#in~insert_fnc.offset_17|
 |#funAddr~dll_insert_slave.offset|))
(assert (= |old(#memory_$Pointer$.offset)_17| |#memory_$Pointer$.offset_16|))
(assert (= |old(#memory_$Pointer$.base)_17| |#memory_$Pointer$.base_16|))
(assert (= |old(#valid)_17| |#valid_16|))
(assert (= |old(#length)_17| |#length_16|))
(assert
 (= |#memory_$Pointer$.base_18|
 (store |#memory_$Pointer$.base_17| |dll_create_generic_~#dll~10.base_18|
 (store
 (select |#memory_$Pointer$.base_17| |dll_create_generic_~#dll~10.base_18|)
 |dll_create_generic_~#dll~10.offset_18| 0))))
(assert
 (= |#memory_$Pointer$.offset_18|
 (store |#memory_$Pointer$.offset_17| |dll_create_generic_~#dll~10.base_18|
 (store
 (select |#memory_$Pointer$.offset_17| |dll_create_generic_~#dll~10.base_18|)
 |dll_create_generic_~#dll~10.offset_18| 0))))
(assert
 (<= dll_create_generic_~insert_fnc.offset_18
 |dll_create_generic_#in~insert_fnc.offset_17|))
(assert
 (>= dll_create_generic_~insert_fnc.offset_18
 |dll_create_generic_#in~insert_fnc.offset_17|))
(assert
 (<= dll_create_generic_~insert_fnc.base_18
 |dll_create_generic_#in~insert_fnc.base_17|))
(assert
 (>= dll_create_generic_~insert_fnc.base_18
 |dll_create_generic_#in~insert_fnc.base_17|))
(assert
 (= |#length_18|
 (store |#length_17| |dll_create_generic_~#dll~10.base_18| 4)))
(assert (not (= |dll_create_generic_~#dll~10.base_18| 0)))
(assert (<= |dll_create_generic_~#dll~10.offset_18| 0))
(assert (>= |dll_create_generic_~#dll~10.offset_18| 0))
(assert
 (= |#valid_18| (store |#valid_17| |dll_create_generic_~#dll~10.base_18| 1)))
(assert
 (not (not (= (select |#valid_17| |dll_create_generic_~#dll~10.base_18|) 0))))
(assert (= |#memory_$Pointer$.offset_19| |old(#memory_$Pointer$.offset)_19|))
(assert (= |#memory_$Pointer$.base_19| |old(#memory_$Pointer$.base)_19|))
(assert (= |#valid_19| |old(#valid)_19|))
(assert (= |#length_19| |old(#length)_19|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.base_19|
 |dll_create_generic_~#dll~10.base_18|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.base_19|
 |dll_create_generic_~#dll~10.base_18|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_19|
 |dll_create_generic_~#dll~10.offset_18|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_19|
 |dll_create_generic_~#dll~10.offset_18|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.base_19|
 dll_create_generic_~insert_fnc.base_18))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.base_19|
 dll_create_generic_~insert_fnc.base_18))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_19|
 dll_create_generic_~insert_fnc.offset_18))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_19|
 dll_create_generic_~insert_fnc.offset_18))
(assert (= |old(#memory_$Pointer$.offset)_19| |#memory_$Pointer$.offset_18|))
(assert (= |old(#memory_$Pointer$.base)_19| |#memory_$Pointer$.base_18|))
(assert (= |old(#valid)_19| |#valid_18|))
(assert (= |old(#length)_19| |#length_18|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.offset_20|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_19|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.offset_20|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_19|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.base_20|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_19|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.base_20|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_19|))
(assert
 (not
 (and
 (= |##fun~$Pointer$~TO~VOID_#in~#fp.base_19|
 |#funAddr~dll_insert_master.base|)
 (= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_19|
 |#funAddr~dll_insert_master.offset|))))
(assert (= |#memory_$Pointer$.offset_22| |old(#memory_$Pointer$.offset)_22|))
(assert (= |#memory_$Pointer$.base_22| |old(#memory_$Pointer$.base)_22|))
(assert (= |#valid_22| |old(#valid)_22|))
(assert (= |#length_22| |old(#length)_22|))
(assert
 (<= |dll_insert_slave_#in~dll.base_22|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_20|))
(assert
 (>= |dll_insert_slave_#in~dll.base_22|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_20|))
(assert
 (<= |dll_insert_slave_#in~dll.offset_22|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_20|))
(assert
 (>= |dll_insert_slave_#in~dll.offset_22|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_20|))
(assert (= |old(#memory_$Pointer$.offset)_22| |#memory_$Pointer$.offset_19|))
(assert (= |old(#memory_$Pointer$.base)_22| |#memory_$Pointer$.base_19|))
(assert (= |old(#valid)_22| |#valid_19|))
(assert (= |old(#length)_22| |#length_19|))
(assert (<= dll_insert_slave_~dll.base_23 |dll_insert_slave_#in~dll.base_22|))
(assert (>= dll_insert_slave_~dll.base_23 |dll_insert_slave_#in~dll.base_22|))
(assert
 (<= dll_insert_slave_~dll.offset_23 |dll_insert_slave_#in~dll.offset_22|))
(assert
 (>= dll_insert_slave_~dll.offset_23 |dll_insert_slave_#in~dll.offset_22|))
(assert (= |#memory_$Pointer$.offset_24| |old(#memory_$Pointer$.offset)_24|))
(assert (= |#memory_$Pointer$.base_24| |old(#memory_$Pointer$.base)_24|))
(assert (= |#valid_24| |old(#valid)_24|))
(assert (= |#length_24| |old(#length)_24|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_24| |#memory_$Pointer$.offset_22|))
(assert (= |old(#memory_$Pointer$.base)_24| |#memory_$Pointer$.base_22|))
(assert (= |old(#valid)_24| |#valid_22|))
(assert (= |old(#length)_24| |#length_22|))
(assert
 (<= |alloc_or_die_slave_#res.base_25| alloc_or_die_slave_~ptr~7.base_25))
(assert
 (>= |alloc_or_die_slave_#res.base_25| alloc_or_die_slave_~ptr~7.base_25))
(assert
 (<= |alloc_or_die_slave_#res.offset_25| alloc_or_die_slave_~ptr~7.offset_25))
(assert
 (>= |alloc_or_die_slave_#res.offset_25| alloc_or_die_slave_~ptr~7.offset_25))
(assert
 (= |#memory_$Pointer$.base_25|
 (store
 (store |#memory_$Pointer$.base_24| alloc_or_die_slave_~ptr~7.base_25
 (store
 (select |#memory_$Pointer$.base_24| alloc_or_die_slave_~ptr~7.base_25)
 (+ alloc_or_die_slave_~ptr~7.offset_25
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_25
 (store
 (select
 (store |#memory_$Pointer$.base_24| alloc_or_die_slave_~ptr~7.base_25
 (store
 (select |#memory_$Pointer$.base_24| alloc_or_die_slave_~ptr~7.base_25)
 (+ alloc_or_die_slave_~ptr~7.offset_25
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_25)
 (+ alloc_or_die_slave_~ptr~7.offset_25
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))))
(assert
 (= |#memory_$Pointer$.offset_25|
 (store
 (store |#memory_$Pointer$.offset_24| alloc_or_die_slave_~ptr~7.base_25
 (store
 (select |#memory_$Pointer$.offset_24| alloc_or_die_slave_~ptr~7.base_25)
 (+ alloc_or_die_slave_~ptr~7.offset_25
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_25
 (store
 (select
 (store |#memory_$Pointer$.offset_24| alloc_or_die_slave_~ptr~7.base_25
 (store
 (select |#memory_$Pointer$.offset_24| alloc_or_die_slave_~ptr~7.base_25)
 (+ alloc_or_die_slave_~ptr~7.offset_25
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_25)
 (+ alloc_or_die_slave_~ptr~7.offset_25
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))))
(assert (not (= alloc_or_die_slave_~ptr~7.base_25 0)))
(assert
 (<= alloc_or_die_slave_~ptr~7.base_25
 |alloc_or_die_slave_#t~malloc0.base_25|))
(assert
 (>= alloc_or_die_slave_~ptr~7.base_25
 |alloc_or_die_slave_#t~malloc0.base_25|))
(assert
 (<= alloc_or_die_slave_~ptr~7.offset_25
 |alloc_or_die_slave_#t~malloc0.offset_25|))
(assert
 (>= alloc_or_die_slave_~ptr~7.offset_25
 |alloc_or_die_slave_#t~malloc0.offset_25|))
(assert
 (= |#length_25|
 (store |#length_24| |alloc_or_die_slave_#t~malloc0.base_25| 8)))
(assert (not (= |alloc_or_die_slave_#t~malloc0.base_25| 0)))
(assert (<= |alloc_or_die_slave_#t~malloc0.offset_25| 0))
(assert (>= |alloc_or_die_slave_#t~malloc0.offset_25| 0))
(assert
 (= |#valid_25|
 (store |#valid_24| |alloc_or_die_slave_#t~malloc0.base_25| 1)))
(assert
 (not
 (not (= (select |#valid_24| |alloc_or_die_slave_#t~malloc0.base_25|) 0))))
(assert
 (<= |dll_insert_slave_#t~ret7.base_26| |alloc_or_die_slave_#res.base_25|))
(assert
 (>= |dll_insert_slave_#t~ret7.base_26| |alloc_or_die_slave_#res.base_25|))
(assert
 (<= |dll_insert_slave_#t~ret7.offset_26|
 |alloc_or_die_slave_#res.offset_25|))
(assert
 (>= |dll_insert_slave_#t~ret7.offset_26|
 |alloc_or_die_slave_#res.offset_25|))
(assert
 (= |#memory_$Pointer$.base_27|
 (store |v_#memory_$Pointer$.base_263_fresh_9| dll_insert_slave_~dll.base_23
 (store
 (select |v_#memory_$Pointer$.base_263_fresh_9|
 dll_insert_slave_~dll.base_23) dll_insert_slave_~dll.offset_23
 dll_insert_slave_~item~9.base_27))))
(assert
 (= |#memory_$Pointer$.offset_27|
 (store |v_#memory_$Pointer$.offset_263_fresh_9|
 dll_insert_slave_~dll.base_23
 (store
 (select |v_#memory_$Pointer$.offset_263_fresh_9|
 dll_insert_slave_~dll.base_23) dll_insert_slave_~dll.offset_23
 dll_insert_slave_~item~9.offset_27))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27))
 |v_#memory_$Pointer$.offset_263_fresh_9|)
 (not (= dll_insert_slave_~next~9.offset_27 |#NULL.offset_1|))
 (not (= dll_insert_slave_~next~9.base_27 |#NULL.base_1|))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) |v_#memory_$Pointer$.base_263_fresh_9|)
 (= |v_#memory_$Pointer$.offset_263_fresh_9|
 (store
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27)) dll_insert_slave_~next~9.base_27
 (store
 (select
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27)) dll_insert_slave_~next~9.base_27)
 (+ dll_insert_slave_~next~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_27)))))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_9|
 (store
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) dll_insert_slave_~next~9.base_27
 (store
 (select
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) dll_insert_slave_~next~9.base_27)
 (+ dll_insert_slave_~next~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_27)))
 (= dll_insert_slave_~next~9.base_27 |#NULL.base_1|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_9|
 (store
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27)) dll_insert_slave_~next~9.base_27
 (store
 (select
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27)) dll_insert_slave_~next~9.base_27)
 (+ dll_insert_slave_~next~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_27)))
 (=
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27))
 |v_#memory_$Pointer$.offset_263_fresh_9|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_9|
 (store
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27)) dll_insert_slave_~next~9.base_27
 (store
 (select
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27)) dll_insert_slave_~next~9.base_27)
 (+ dll_insert_slave_~next~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_27)))
 (= dll_insert_slave_~next~9.base_27 |#NULL.base_1|)))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_9|
 (store
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) dll_insert_slave_~next~9.base_27
 (store
 (select
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) dll_insert_slave_~next~9.base_27)
 (+ dll_insert_slave_~next~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_27)))
 (= dll_insert_slave_~next~9.offset_27 |#NULL.offset_1|)))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) |v_#memory_$Pointer$.base_263_fresh_9|)
 (= |v_#memory_$Pointer$.base_263_fresh_9|
 (store
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) dll_insert_slave_~next~9.base_27
 (store
 (select
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) dll_insert_slave_~next~9.base_27)
 (+ dll_insert_slave_~next~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_27)))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) |v_#memory_$Pointer$.base_263_fresh_9|)
 (not (= dll_insert_slave_~next~9.offset_27 |#NULL.offset_1|))
 (not (= dll_insert_slave_~next~9.base_27 |#NULL.base_1|))))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_9|
 (store
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) dll_insert_slave_~next~9.base_27
 (store
 (select
 (store |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27
 (store (select |#memory_$Pointer$.base_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_27)) dll_insert_slave_~next~9.base_27)
 (+ dll_insert_slave_~next~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_27)))
 (=
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27))
 |v_#memory_$Pointer$.offset_263_fresh_9|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_9|
 (store
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27)) dll_insert_slave_~next~9.base_27
 (store
 (select
 (store |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27
 (store
 (select |#memory_$Pointer$.offset_25| dll_insert_slave_~item~9.base_27)
 (+ dll_insert_slave_~item~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_27)) dll_insert_slave_~next~9.base_27)
 (+ dll_insert_slave_~next~9.offset_27
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_27)))
 (= dll_insert_slave_~next~9.offset_27 |#NULL.offset_1|)))
(assert
 (<= dll_insert_slave_~next~9.base_27
 (select (select |#memory_$Pointer$.base_25| dll_insert_slave_~dll.base_23)
 dll_insert_slave_~dll.offset_23)))
(assert
 (>= dll_insert_slave_~next~9.base_27
 (select (select |#memory_$Pointer$.base_25| dll_insert_slave_~dll.base_23)
 dll_insert_slave_~dll.offset_23)))
(assert
 (<= dll_insert_slave_~next~9.offset_27
 (select (select |#memory_$Pointer$.offset_25| dll_insert_slave_~dll.base_23)
 dll_insert_slave_~dll.offset_23)))
(assert
 (>= dll_insert_slave_~next~9.offset_27
 (select (select |#memory_$Pointer$.offset_25| dll_insert_slave_~dll.base_23)
 dll_insert_slave_~dll.offset_23)))
(assert
 (<= dll_insert_slave_~item~9.offset_27 |dll_insert_slave_#t~ret7.offset_26|))
(assert
 (>= dll_insert_slave_~item~9.offset_27 |dll_insert_slave_#t~ret7.offset_26|))
(assert
 (<= dll_insert_slave_~item~9.base_27 |dll_insert_slave_#t~ret7.base_26|))
(assert
 (>= dll_insert_slave_~item~9.base_27 |dll_insert_slave_#t~ret7.base_26|))
(assert true)
(assert true)
(assert true)
(assert (= |#memory_$Pointer$.offset_31| |old(#memory_$Pointer$.offset)_31|))
(assert (= |#memory_$Pointer$.base_31| |old(#memory_$Pointer$.base)_31|))
(assert (= |#valid_31| |old(#valid)_31|))
(assert (= |#length_31| |old(#length)_31|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.base_31|
 |dll_create_generic_~#dll~10.base_18|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.base_31|
 |dll_create_generic_~#dll~10.base_18|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_31|
 |dll_create_generic_~#dll~10.offset_18|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_31|
 |dll_create_generic_~#dll~10.offset_18|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.base_31|
 dll_create_generic_~insert_fnc.base_18))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.base_31|
 dll_create_generic_~insert_fnc.base_18))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_31|
 dll_create_generic_~insert_fnc.offset_18))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_31|
 dll_create_generic_~insert_fnc.offset_18))
(assert (= |old(#memory_$Pointer$.offset)_31| |#memory_$Pointer$.offset_27|))
(assert (= |old(#memory_$Pointer$.base)_31| |#memory_$Pointer$.base_27|))
(assert (= |old(#valid)_31| |#valid_25|))
(assert (= |old(#length)_31| |#length_25|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.offset_32|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_31|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.offset_32|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_31|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.base_32|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_31|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.base_32|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_31|))
(assert
 (not
 (and
 (= |##fun~$Pointer$~TO~VOID_#in~#fp.base_31|
 |#funAddr~dll_insert_master.base|)
 (= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_31|
 |#funAddr~dll_insert_master.offset|))))
(assert (= |#memory_$Pointer$.offset_34| |old(#memory_$Pointer$.offset)_34|))
(assert (= |#memory_$Pointer$.base_34| |old(#memory_$Pointer$.base)_34|))
(assert (= |#valid_34| |old(#valid)_34|))
(assert (= |#length_34| |old(#length)_34|))
(assert
 (<= |dll_insert_slave_#in~dll.base_34|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_32|))
(assert
 (>= |dll_insert_slave_#in~dll.base_34|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_32|))
(assert
 (<= |dll_insert_slave_#in~dll.offset_34|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_32|))
(assert
 (>= |dll_insert_slave_#in~dll.offset_34|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_32|))
(assert (= |old(#memory_$Pointer$.offset)_34| |#memory_$Pointer$.offset_31|))
(assert (= |old(#memory_$Pointer$.base)_34| |#memory_$Pointer$.base_31|))
(assert (= |old(#valid)_34| |#valid_31|))
(assert (= |old(#length)_34| |#length_31|))
(assert (<= dll_insert_slave_~dll.base_35 |dll_insert_slave_#in~dll.base_34|))
(assert (>= dll_insert_slave_~dll.base_35 |dll_insert_slave_#in~dll.base_34|))
(assert
 (<= dll_insert_slave_~dll.offset_35 |dll_insert_slave_#in~dll.offset_34|))
(assert
 (>= dll_insert_slave_~dll.offset_35 |dll_insert_slave_#in~dll.offset_34|))
(assert (= |#memory_$Pointer$.offset_36| |old(#memory_$Pointer$.offset)_36|))
(assert (= |#memory_$Pointer$.base_36| |old(#memory_$Pointer$.base)_36|))
(assert (= |#valid_36| |old(#valid)_36|))
(assert (= |#length_36| |old(#length)_36|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_36| |#memory_$Pointer$.offset_34|))
(assert (= |old(#memory_$Pointer$.base)_36| |#memory_$Pointer$.base_34|))
(assert (= |old(#valid)_36| |#valid_34|))
(assert (= |old(#length)_36| |#length_34|))
(assert
 (<= |alloc_or_die_slave_#res.base_37| alloc_or_die_slave_~ptr~7.base_37))
(assert
 (>= |alloc_or_die_slave_#res.base_37| alloc_or_die_slave_~ptr~7.base_37))
(assert
 (<= |alloc_or_die_slave_#res.offset_37| alloc_or_die_slave_~ptr~7.offset_37))
(assert
 (>= |alloc_or_die_slave_#res.offset_37| alloc_or_die_slave_~ptr~7.offset_37))
(assert
 (= |#memory_$Pointer$.base_37|
 (store
 (store |#memory_$Pointer$.base_36| alloc_or_die_slave_~ptr~7.base_37
 (store
 (select |#memory_$Pointer$.base_36| alloc_or_die_slave_~ptr~7.base_37)
 (+ alloc_or_die_slave_~ptr~7.offset_37
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_37
 (store
 (select
 (store |#memory_$Pointer$.base_36| alloc_or_die_slave_~ptr~7.base_37
 (store
 (select |#memory_$Pointer$.base_36| alloc_or_die_slave_~ptr~7.base_37)
 (+ alloc_or_die_slave_~ptr~7.offset_37
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_37)
 (+ alloc_or_die_slave_~ptr~7.offset_37
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))))
(assert
 (= |#memory_$Pointer$.offset_37|
 (store
 (store |#memory_$Pointer$.offset_36| alloc_or_die_slave_~ptr~7.base_37
 (store
 (select |#memory_$Pointer$.offset_36| alloc_or_die_slave_~ptr~7.base_37)
 (+ alloc_or_die_slave_~ptr~7.offset_37
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_37
 (store
 (select
 (store |#memory_$Pointer$.offset_36| alloc_or_die_slave_~ptr~7.base_37
 (store
 (select |#memory_$Pointer$.offset_36| alloc_or_die_slave_~ptr~7.base_37)
 (+ alloc_or_die_slave_~ptr~7.offset_37
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_37)
 (+ alloc_or_die_slave_~ptr~7.offset_37
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))))
(assert (not (= alloc_or_die_slave_~ptr~7.base_37 0)))
(assert
 (<= alloc_or_die_slave_~ptr~7.base_37
 |alloc_or_die_slave_#t~malloc0.base_37|))
(assert
 (>= alloc_or_die_slave_~ptr~7.base_37
 |alloc_or_die_slave_#t~malloc0.base_37|))
(assert
 (<= alloc_or_die_slave_~ptr~7.offset_37
 |alloc_or_die_slave_#t~malloc0.offset_37|))
(assert
 (>= alloc_or_die_slave_~ptr~7.offset_37
 |alloc_or_die_slave_#t~malloc0.offset_37|))
(assert
 (= |#length_37|
 (store |#length_36| |alloc_or_die_slave_#t~malloc0.base_37| 8)))
(assert (not (= |alloc_or_die_slave_#t~malloc0.base_37| 0)))
(assert (<= |alloc_or_die_slave_#t~malloc0.offset_37| 0))
(assert (>= |alloc_or_die_slave_#t~malloc0.offset_37| 0))
(assert
 (= |#valid_37|
 (store |#valid_36| |alloc_or_die_slave_#t~malloc0.base_37| 1)))
(assert
 (not
 (not (= (select |#valid_36| |alloc_or_die_slave_#t~malloc0.base_37|) 0))))
(assert
 (<= |dll_insert_slave_#t~ret7.base_38| |alloc_or_die_slave_#res.base_37|))
(assert
 (>= |dll_insert_slave_#t~ret7.base_38| |alloc_or_die_slave_#res.base_37|))
(assert
 (<= |dll_insert_slave_#t~ret7.offset_38|
 |alloc_or_die_slave_#res.offset_37|))
(assert
 (>= |dll_insert_slave_#t~ret7.offset_38|
 |alloc_or_die_slave_#res.offset_37|))
(assert
 (= |#memory_$Pointer$.base_39|
 (store |v_#memory_$Pointer$.base_263_fresh_10| dll_insert_slave_~dll.base_35
 (store
 (select |v_#memory_$Pointer$.base_263_fresh_10|
 dll_insert_slave_~dll.base_35) dll_insert_slave_~dll.offset_35
 dll_insert_slave_~item~9.base_39))))
(assert
 (= |#memory_$Pointer$.offset_39|
 (store |v_#memory_$Pointer$.offset_263_fresh_10|
 dll_insert_slave_~dll.base_35
 (store
 (select |v_#memory_$Pointer$.offset_263_fresh_10|
 dll_insert_slave_~dll.base_35) dll_insert_slave_~dll.offset_35
 dll_insert_slave_~item~9.offset_39))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39))
 |v_#memory_$Pointer$.offset_263_fresh_10|)
 (not (= dll_insert_slave_~next~9.offset_39 |#NULL.offset_1|))
 (not (= dll_insert_slave_~next~9.base_39 |#NULL.base_1|))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) |v_#memory_$Pointer$.base_263_fresh_10|)
 (= |v_#memory_$Pointer$.offset_263_fresh_10|
 (store
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39)) dll_insert_slave_~next~9.base_39
 (store
 (select
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39)) dll_insert_slave_~next~9.base_39)
 (+ dll_insert_slave_~next~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_39)))))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_10|
 (store
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) dll_insert_slave_~next~9.base_39
 (store
 (select
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) dll_insert_slave_~next~9.base_39)
 (+ dll_insert_slave_~next~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_39)))
 (= dll_insert_slave_~next~9.base_39 |#NULL.base_1|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_10|
 (store
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39)) dll_insert_slave_~next~9.base_39
 (store
 (select
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39)) dll_insert_slave_~next~9.base_39)
 (+ dll_insert_slave_~next~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_39)))
 (=
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39))
 |v_#memory_$Pointer$.offset_263_fresh_10|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_10|
 (store
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39)) dll_insert_slave_~next~9.base_39
 (store
 (select
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39)) dll_insert_slave_~next~9.base_39)
 (+ dll_insert_slave_~next~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_39)))
 (= dll_insert_slave_~next~9.base_39 |#NULL.base_1|)))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_10|
 (store
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) dll_insert_slave_~next~9.base_39
 (store
 (select
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) dll_insert_slave_~next~9.base_39)
 (+ dll_insert_slave_~next~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_39)))
 (= dll_insert_slave_~next~9.offset_39 |#NULL.offset_1|)))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) |v_#memory_$Pointer$.base_263_fresh_10|)
 (= |v_#memory_$Pointer$.base_263_fresh_10|
 (store
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) dll_insert_slave_~next~9.base_39
 (store
 (select
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) dll_insert_slave_~next~9.base_39)
 (+ dll_insert_slave_~next~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_39)))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) |v_#memory_$Pointer$.base_263_fresh_10|)
 (not (= dll_insert_slave_~next~9.offset_39 |#NULL.offset_1|))
 (not (= dll_insert_slave_~next~9.base_39 |#NULL.base_1|))))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_10|
 (store
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) dll_insert_slave_~next~9.base_39
 (store
 (select
 (store |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39
 (store (select |#memory_$Pointer$.base_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_39)) dll_insert_slave_~next~9.base_39)
 (+ dll_insert_slave_~next~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_39)))
 (=
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39))
 |v_#memory_$Pointer$.offset_263_fresh_10|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_10|
 (store
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39)) dll_insert_slave_~next~9.base_39
 (store
 (select
 (store |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39
 (store
 (select |#memory_$Pointer$.offset_37| dll_insert_slave_~item~9.base_39)
 (+ dll_insert_slave_~item~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_39)) dll_insert_slave_~next~9.base_39)
 (+ dll_insert_slave_~next~9.offset_39
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_39)))
 (= dll_insert_slave_~next~9.offset_39 |#NULL.offset_1|)))
(assert
 (<= dll_insert_slave_~next~9.base_39
 (select (select |#memory_$Pointer$.base_37| dll_insert_slave_~dll.base_35)
 dll_insert_slave_~dll.offset_35)))
(assert
 (>= dll_insert_slave_~next~9.base_39
 (select (select |#memory_$Pointer$.base_37| dll_insert_slave_~dll.base_35)
 dll_insert_slave_~dll.offset_35)))
(assert
 (<= dll_insert_slave_~next~9.offset_39
 (select (select |#memory_$Pointer$.offset_37| dll_insert_slave_~dll.base_35)
 dll_insert_slave_~dll.offset_35)))
(assert
 (>= dll_insert_slave_~next~9.offset_39
 (select (select |#memory_$Pointer$.offset_37| dll_insert_slave_~dll.base_35)
 dll_insert_slave_~dll.offset_35)))
(assert
 (<= dll_insert_slave_~item~9.offset_39 |dll_insert_slave_#t~ret7.offset_38|))
(assert
 (>= dll_insert_slave_~item~9.offset_39 |dll_insert_slave_#t~ret7.offset_38|))
(assert
 (<= dll_insert_slave_~item~9.base_39 |dll_insert_slave_#t~ret7.base_38|))
(assert
 (>= dll_insert_slave_~item~9.base_39 |dll_insert_slave_#t~ret7.base_38|))
(assert true)
(assert true)
(assert true)
(assert true)
(assert (<= |dll_create_generic_#t~nondet12_17| 0))
(assert (>= |dll_create_generic_#t~nondet12_17| 0))
(assert
 (<= |dll_create_generic_#res.base_45|
 (select
 (select |#memory_$Pointer$.base_39| |dll_create_generic_~#dll~10.base_18|)
 |dll_create_generic_~#dll~10.offset_18|)))
(assert
 (>= |dll_create_generic_#res.base_45|
 (select
 (select |#memory_$Pointer$.base_39| |dll_create_generic_~#dll~10.base_18|)
 |dll_create_generic_~#dll~10.offset_18|)))
(assert
 (<= |dll_create_generic_#res.offset_45|
 (select
 (select |#memory_$Pointer$.offset_39| |dll_create_generic_~#dll~10.base_18|)
 |dll_create_generic_~#dll~10.offset_18|)))
(assert
 (>= |dll_create_generic_#res.offset_45|
 (select
 (select |#memory_$Pointer$.offset_39| |dll_create_generic_~#dll~10.base_18|)
 |dll_create_generic_~#dll~10.offset_18|)))
(assert
 (<= |dll_create_slave_#t~ret14.base_46| |dll_create_generic_#res.base_45|))
(assert
 (>= |dll_create_slave_#t~ret14.base_46| |dll_create_generic_#res.base_45|))
(assert
 (<= |dll_create_slave_#t~ret14.offset_46|
 |dll_create_generic_#res.offset_45|))
(assert
 (>= |dll_create_slave_#t~ret14.offset_46|
 |dll_create_generic_#res.offset_45|))
(assert
 (<= |dll_create_slave_#res.offset_47| |dll_create_slave_#t~ret14.offset_46|))
(assert
 (>= |dll_create_slave_#res.offset_47| |dll_create_slave_#t~ret14.offset_46|))
(assert
 (<= |dll_create_slave_#res.base_47| |dll_create_slave_#t~ret14.base_46|))
(assert
 (>= |dll_create_slave_#res.base_47| |dll_create_slave_#t~ret14.base_46|))
(assert
 (<= |dll_insert_master_#t~ret25.base_48| |dll_create_slave_#res.base_47|))
(assert
 (>= |dll_insert_master_#t~ret25.base_48| |dll_create_slave_#res.base_47|))
(assert
 (<= |dll_insert_master_#t~ret25.offset_48|
 |dll_create_slave_#res.offset_47|))
(assert
 (>= |dll_insert_master_#t~ret25.offset_48|
 |dll_create_slave_#res.offset_47|))
(assert
 (= |#memory_$Pointer$.base_49|
 (store
 (store |#memory_$Pointer$.base_39| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_39| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|)
 |dll_insert_master_#t~ret25.base_48|)) dll_insert_master_~dll.base_11
 (store
 (select
 (store |#memory_$Pointer$.base_39| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.base_39| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|)
 |dll_insert_master_#t~ret25.base_48|)) dll_insert_master_~dll.base_11)
 dll_insert_master_~dll.offset_11 dll_insert_master_~item~21.base_15))))
(assert
 (= |#memory_$Pointer$.offset_49|
 (store
 (store |#memory_$Pointer$.offset_39| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_39| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|)
 |dll_insert_master_#t~ret25.offset_48|)) dll_insert_master_~dll.base_11
 (store
 (select
 (store |#memory_$Pointer$.offset_39| dll_insert_master_~item~21.base_15
 (store
 (select |#memory_$Pointer$.offset_39| dll_insert_master_~item~21.base_15)
 (+ dll_insert_master_~item~21.offset_15
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|)
 |dll_insert_master_#t~ret25.offset_48|)) dll_insert_master_~dll.base_11)
 dll_insert_master_~dll.offset_11 dll_insert_master_~item~21.offset_15))))
(assert true)
(assert true)
(assert true)
(assert (= |#memory_$Pointer$.offset_53| |old(#memory_$Pointer$.offset)_53|))
(assert (= |#memory_$Pointer$.base_53| |old(#memory_$Pointer$.base)_53|))
(assert (= |#valid_53| |old(#valid)_53|))
(assert (= |#length_53| |old(#length)_53|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.base_53|
 |dll_create_generic_~#dll~10.base_6|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.base_53|
 |dll_create_generic_~#dll~10.base_6|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_53|
 |dll_create_generic_~#dll~10.offset_6|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_53|
 |dll_create_generic_~#dll~10.offset_6|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.base_53|
 dll_create_generic_~insert_fnc.base_6))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.base_53|
 dll_create_generic_~insert_fnc.base_6))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_53|
 dll_create_generic_~insert_fnc.offset_6))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_53|
 dll_create_generic_~insert_fnc.offset_6))
(assert (= |old(#memory_$Pointer$.offset)_53| |#memory_$Pointer$.offset_49|))
(assert (= |old(#memory_$Pointer$.base)_53| |#memory_$Pointer$.base_49|))
(assert (= |old(#valid)_53| |#valid_37|))
(assert (= |old(#length)_53| |#length_37|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.offset_54|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_53|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.offset_54|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_53|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.base_54|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_53|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.base_54|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_53|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.base_53|
 |#funAddr~dll_insert_master.base|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.base_53|
 |#funAddr~dll_insert_master.base|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_53|
 |#funAddr~dll_insert_master.offset|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_53|
 |#funAddr~dll_insert_master.offset|))
(assert (= |#memory_$Pointer$.offset_56| |old(#memory_$Pointer$.offset)_56|))
(assert (= |#memory_$Pointer$.base_56| |old(#memory_$Pointer$.base)_56|))
(assert (= |#valid_56| |old(#valid)_56|))
(assert (= |#length_56| |old(#length)_56|))
(assert
 (<= |dll_insert_master_#in~dll.base_56|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_54|))
(assert
 (>= |dll_insert_master_#in~dll.base_56|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_54|))
(assert
 (<= |dll_insert_master_#in~dll.offset_56|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_54|))
(assert
 (>= |dll_insert_master_#in~dll.offset_56|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_54|))
(assert (= |old(#memory_$Pointer$.offset)_56| |#memory_$Pointer$.offset_53|))
(assert (= |old(#memory_$Pointer$.base)_56| |#memory_$Pointer$.base_53|))
(assert (= |old(#valid)_56| |#valid_53|))
(assert (= |old(#length)_56| |#length_53|))
(assert
 (<= dll_insert_master_~dll.base_57 |dll_insert_master_#in~dll.base_56|))
(assert
 (>= dll_insert_master_~dll.base_57 |dll_insert_master_#in~dll.base_56|))
(assert
 (<= dll_insert_master_~dll.offset_57 |dll_insert_master_#in~dll.offset_56|))
(assert
 (>= dll_insert_master_~dll.offset_57 |dll_insert_master_#in~dll.offset_56|))
(assert (= |#memory_$Pointer$.offset_58| |old(#memory_$Pointer$.offset)_58|))
(assert (= |#memory_$Pointer$.base_58| |old(#memory_$Pointer$.base)_58|))
(assert (= |#valid_58| |old(#valid)_58|))
(assert (= |#length_58| |old(#length)_58|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_58| |#memory_$Pointer$.offset_56|))
(assert (= |old(#memory_$Pointer$.base)_58| |#memory_$Pointer$.base_56|))
(assert (= |old(#valid)_58| |#valid_56|))
(assert (= |old(#length)_58| |#length_56|))
(assert
 (<= |alloc_or_die_master_#res.base_59| alloc_or_die_master_~ptr~8.base_59))
(assert
 (>= |alloc_or_die_master_#res.base_59| alloc_or_die_master_~ptr~8.base_59))
(assert
 (<= |alloc_or_die_master_#res.offset_59|
 alloc_or_die_master_~ptr~8.offset_59))
(assert
 (>= |alloc_or_die_master_#res.offset_59|
 alloc_or_die_master_~ptr~8.offset_59))
(assert
 (= |#memory_$Pointer$.base_59|
 (store
 (store
 (store |#memory_$Pointer$.base_58| alloc_or_die_master_~ptr~8.base_59
 (store
 (select |#memory_$Pointer$.base_58| alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_59
 (store
 (select
 (store |#memory_$Pointer$.base_58| alloc_or_die_master_~ptr~8.base_59
 (store
 (select |#memory_$Pointer$.base_58| alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|) 0))
 alloc_or_die_master_~ptr~8.base_59
 (store
 (select
 (store
 (store |#memory_$Pointer$.base_58| alloc_or_die_master_~ptr~8.base_59
 (store
 (select |#memory_$Pointer$.base_58| alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_59
 (store
 (select
 (store |#memory_$Pointer$.base_58| alloc_or_die_master_~ptr~8.base_59
 (store
 (select |#memory_$Pointer$.base_58| alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|) 0))
 alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|) 0))))
(assert
 (= |#memory_$Pointer$.offset_59|
 (store
 (store
 (store |#memory_$Pointer$.offset_58| alloc_or_die_master_~ptr~8.base_59
 (store
 (select |#memory_$Pointer$.offset_58| alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_59
 (store
 (select
 (store |#memory_$Pointer$.offset_58| alloc_or_die_master_~ptr~8.base_59
 (store
 (select |#memory_$Pointer$.offset_58| alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|) 0))
 alloc_or_die_master_~ptr~8.base_59
 (store
 (select
 (store
 (store |#memory_$Pointer$.offset_58| alloc_or_die_master_~ptr~8.base_59
 (store
 (select |#memory_$Pointer$.offset_58| alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_59
 (store
 (select
 (store |#memory_$Pointer$.offset_58| alloc_or_die_master_~ptr~8.base_59
 (store
 (select |#memory_$Pointer$.offset_58| alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|) 0))
 alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|) 0))
 alloc_or_die_master_~ptr~8.base_59)
 (+ alloc_or_die_master_~ptr~8.offset_59
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|) 0))))
(assert (not (= alloc_or_die_master_~ptr~8.base_59 0)))
(assert
 (<= alloc_or_die_master_~ptr~8.offset_59
 |alloc_or_die_master_#t~malloc3.offset_59|))
(assert
 (>= alloc_or_die_master_~ptr~8.offset_59
 |alloc_or_die_master_#t~malloc3.offset_59|))
(assert
 (<= alloc_or_die_master_~ptr~8.base_59
 |alloc_or_die_master_#t~malloc3.base_59|))
(assert
 (>= alloc_or_die_master_~ptr~8.base_59
 |alloc_or_die_master_#t~malloc3.base_59|))
(assert
 (= |#length_59|
 (store |#length_58| |alloc_or_die_master_#t~malloc3.base_59| 12)))
(assert (not (= |alloc_or_die_master_#t~malloc3.base_59| 0)))
(assert (<= |alloc_or_die_master_#t~malloc3.offset_59| 0))
(assert (>= |alloc_or_die_master_#t~malloc3.offset_59| 0))
(assert
 (= |#valid_59|
 (store |#valid_58| |alloc_or_die_master_#t~malloc3.base_59| 1)))
(assert
 (not
 (not (= (select |#valid_58| |alloc_or_die_master_#t~malloc3.base_59|) 0))))
(assert
 (<= |dll_insert_master_#t~ret21.base_60| |alloc_or_die_master_#res.base_59|))
(assert
 (>= |dll_insert_master_#t~ret21.base_60| |alloc_or_die_master_#res.base_59|))
(assert
 (<= |dll_insert_master_#t~ret21.offset_60|
 |alloc_or_die_master_#res.offset_59|))
(assert
 (>= |dll_insert_master_#t~ret21.offset_60|
 |alloc_or_die_master_#res.offset_59|))
(assert
 (or
 (= |#memory_$Pointer$.offset_61|
 (store
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) dll_insert_master_~next~21.base_61
 (store
 (select
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) dll_insert_master_~next~21.base_61)
 (+ dll_insert_master_~next~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.offset_61)))
 (= dll_insert_master_~next~21.offset_61 |#NULL.offset_1|)))
(assert
 (or
 (=
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) |#memory_$Pointer$.offset_61|)
 (= |#memory_$Pointer$.base_61|
 (store
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) dll_insert_master_~next~21.base_61
 (store
 (select
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) dll_insert_master_~next~21.base_61)
 (+ dll_insert_master_~next~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.base_61)))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) |#memory_$Pointer$.base_61|)
 (= |#memory_$Pointer$.base_61|
 (store
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) dll_insert_master_~next~21.base_61
 (store
 (select
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) dll_insert_master_~next~21.base_61)
 (+ dll_insert_master_~next~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.base_61)))))
(assert
 (or (not (= dll_insert_master_~next~21.base_61 |#NULL.base_1|))
 (not (= dll_insert_master_~next~21.offset_61 |#NULL.offset_1|))
 (=
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) |#memory_$Pointer$.offset_61|)))
(assert
 (or (= dll_insert_master_~next~21.base_61 |#NULL.base_1|)
 (= |#memory_$Pointer$.base_61|
 (store
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) dll_insert_master_~next~21.base_61
 (store
 (select
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) dll_insert_master_~next~21.base_61)
 (+ dll_insert_master_~next~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.base_61)))))
(assert
 (or (not (= dll_insert_master_~next~21.base_61 |#NULL.base_1|))
 (=
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) |#memory_$Pointer$.base_61|)
 (not (= dll_insert_master_~next~21.offset_61 |#NULL.offset_1|))))
(assert
 (or (= dll_insert_master_~next~21.offset_61 |#NULL.offset_1|)
 (= |#memory_$Pointer$.base_61|
 (store
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) dll_insert_master_~next~21.base_61
 (store
 (select
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) dll_insert_master_~next~21.base_61)
 (+ dll_insert_master_~next~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.base_61)))))
(assert
 (or
 (= |#memory_$Pointer$.offset_61|
 (store
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) dll_insert_master_~next~21.base_61
 (store
 (select
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) dll_insert_master_~next~21.base_61)
 (+ dll_insert_master_~next~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.offset_61)))
 (=
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) |#memory_$Pointer$.offset_61|)))
(assert
 (or (= dll_insert_master_~next~21.base_61 |#NULL.base_1|)
 (= |#memory_$Pointer$.offset_61|
 (store
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) dll_insert_master_~next~21.base_61
 (store
 (select
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) dll_insert_master_~next~21.base_61)
 (+ dll_insert_master_~next~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.offset_61)))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.base_61)) |#memory_$Pointer$.base_61|)
 (= |#memory_$Pointer$.offset_61|
 (store
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) dll_insert_master_~next~21.base_61
 (store
 (select
 (store |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|)
 dll_insert_master_~next~21.offset_61)) dll_insert_master_~next~21.base_61)
 (+ dll_insert_master_~next~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~prev|)
 dll_insert_master_~item~21.offset_61)))))
(assert
 (<= dll_insert_master_~next~21.base_61
 (select (select |#memory_$Pointer$.base_59| dll_insert_master_~dll.base_57)
 dll_insert_master_~dll.offset_57)))
(assert
 (>= dll_insert_master_~next~21.base_61
 (select (select |#memory_$Pointer$.base_59| dll_insert_master_~dll.base_57)
 dll_insert_master_~dll.offset_57)))
(assert
 (<= dll_insert_master_~next~21.offset_61
 (select
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~dll.base_57)
 dll_insert_master_~dll.offset_57)))
(assert
 (>= dll_insert_master_~next~21.offset_61
 (select
 (select |#memory_$Pointer$.offset_59| dll_insert_master_~dll.base_57)
 dll_insert_master_~dll.offset_57)))
(assert
 (<= dll_insert_master_~item~21.base_61 |dll_insert_master_#t~ret21.base_60|))
(assert
 (>= dll_insert_master_~item~21.base_61 |dll_insert_master_#t~ret21.base_60|))
(assert
 (<= dll_insert_master_~item~21.offset_61
 |dll_insert_master_#t~ret21.offset_60|))
(assert
 (>= dll_insert_master_~item~21.offset_61
 |dll_insert_master_#t~ret21.offset_60|))
(assert (= |#memory_$Pointer$.offset_62| |old(#memory_$Pointer$.offset)_62|))
(assert (= |#memory_$Pointer$.base_62| |old(#memory_$Pointer$.base)_62|))
(assert (= |#valid_62| |old(#valid)_62|))
(assert (= |#length_62| |old(#length)_62|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_62| |#memory_$Pointer$.offset_61|))
(assert (= |old(#memory_$Pointer$.base)_62| |#memory_$Pointer$.base_61|))
(assert (= |old(#valid)_62| |#valid_59|))
(assert (= |old(#length)_62| |#length_59|))
(assert (= |#memory_$Pointer$.offset_63| |old(#memory_$Pointer$.offset)_63|))
(assert (= |#memory_$Pointer$.base_63| |old(#memory_$Pointer$.base)_63|))
(assert (= |#valid_63| |old(#valid)_63|))
(assert (= |#length_63| |old(#length)_63|))
(assert
 (<= |dll_create_generic_#in~insert_fnc.base_63|
 |#funAddr~dll_insert_slave.base|))
(assert
 (>= |dll_create_generic_#in~insert_fnc.base_63|
 |#funAddr~dll_insert_slave.base|))
(assert
 (<= |dll_create_generic_#in~insert_fnc.offset_63|
 |#funAddr~dll_insert_slave.offset|))
(assert
 (>= |dll_create_generic_#in~insert_fnc.offset_63|
 |#funAddr~dll_insert_slave.offset|))
(assert (= |old(#memory_$Pointer$.offset)_63| |#memory_$Pointer$.offset_62|))
(assert (= |old(#memory_$Pointer$.base)_63| |#memory_$Pointer$.base_62|))
(assert (= |old(#valid)_63| |#valid_62|))
(assert (= |old(#length)_63| |#length_62|))
(assert
 (= |#memory_$Pointer$.base_64|
 (store |#memory_$Pointer$.base_63| |dll_create_generic_~#dll~10.base_64|
 (store
 (select |#memory_$Pointer$.base_63| |dll_create_generic_~#dll~10.base_64|)
 |dll_create_generic_~#dll~10.offset_64| 0))))
(assert
 (= |#memory_$Pointer$.offset_64|
 (store |#memory_$Pointer$.offset_63| |dll_create_generic_~#dll~10.base_64|
 (store
 (select |#memory_$Pointer$.offset_63| |dll_create_generic_~#dll~10.base_64|)
 |dll_create_generic_~#dll~10.offset_64| 0))))
(assert
 (<= dll_create_generic_~insert_fnc.offset_64
 |dll_create_generic_#in~insert_fnc.offset_63|))
(assert
 (>= dll_create_generic_~insert_fnc.offset_64
 |dll_create_generic_#in~insert_fnc.offset_63|))
(assert
 (<= dll_create_generic_~insert_fnc.base_64
 |dll_create_generic_#in~insert_fnc.base_63|))
(assert
 (>= dll_create_generic_~insert_fnc.base_64
 |dll_create_generic_#in~insert_fnc.base_63|))
(assert
 (= |#length_64|
 (store |#length_63| |dll_create_generic_~#dll~10.base_64| 4)))
(assert (not (= |dll_create_generic_~#dll~10.base_64| 0)))
(assert (<= |dll_create_generic_~#dll~10.offset_64| 0))
(assert (>= |dll_create_generic_~#dll~10.offset_64| 0))
(assert
 (= |#valid_64| (store |#valid_63| |dll_create_generic_~#dll~10.base_64| 1)))
(assert
 (not (not (= (select |#valid_63| |dll_create_generic_~#dll~10.base_64|) 0))))
(assert (= |#memory_$Pointer$.offset_65| |old(#memory_$Pointer$.offset)_65|))
(assert (= |#memory_$Pointer$.base_65| |old(#memory_$Pointer$.base)_65|))
(assert (= |#valid_65| |old(#valid)_65|))
(assert (= |#length_65| |old(#length)_65|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.base_65|
 |dll_create_generic_~#dll~10.base_64|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.base_65|
 |dll_create_generic_~#dll~10.base_64|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_65|
 |dll_create_generic_~#dll~10.offset_64|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_65|
 |dll_create_generic_~#dll~10.offset_64|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.base_65|
 dll_create_generic_~insert_fnc.base_64))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.base_65|
 dll_create_generic_~insert_fnc.base_64))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_65|
 dll_create_generic_~insert_fnc.offset_64))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_65|
 dll_create_generic_~insert_fnc.offset_64))
(assert (= |old(#memory_$Pointer$.offset)_65| |#memory_$Pointer$.offset_64|))
(assert (= |old(#memory_$Pointer$.base)_65| |#memory_$Pointer$.base_64|))
(assert (= |old(#valid)_65| |#valid_64|))
(assert (= |old(#length)_65| |#length_64|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.offset_66|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_65|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.offset_66|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_65|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.base_66|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_65|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.base_66|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_65|))
(assert
 (not
 (and
 (= |##fun~$Pointer$~TO~VOID_#in~#fp.base_65|
 |#funAddr~dll_insert_master.base|)
 (= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_65|
 |#funAddr~dll_insert_master.offset|))))
(assert (= |#memory_$Pointer$.offset_68| |old(#memory_$Pointer$.offset)_68|))
(assert (= |#memory_$Pointer$.base_68| |old(#memory_$Pointer$.base)_68|))
(assert (= |#valid_68| |old(#valid)_68|))
(assert (= |#length_68| |old(#length)_68|))
(assert
 (<= |dll_insert_slave_#in~dll.base_68|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_66|))
(assert
 (>= |dll_insert_slave_#in~dll.base_68|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_66|))
(assert
 (<= |dll_insert_slave_#in~dll.offset_68|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_66|))
(assert
 (>= |dll_insert_slave_#in~dll.offset_68|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_66|))
(assert (= |old(#memory_$Pointer$.offset)_68| |#memory_$Pointer$.offset_65|))
(assert (= |old(#memory_$Pointer$.base)_68| |#memory_$Pointer$.base_65|))
(assert (= |old(#valid)_68| |#valid_65|))
(assert (= |old(#length)_68| |#length_65|))
(assert (<= dll_insert_slave_~dll.base_69 |dll_insert_slave_#in~dll.base_68|))
(assert (>= dll_insert_slave_~dll.base_69 |dll_insert_slave_#in~dll.base_68|))
(assert
 (<= dll_insert_slave_~dll.offset_69 |dll_insert_slave_#in~dll.offset_68|))
(assert
 (>= dll_insert_slave_~dll.offset_69 |dll_insert_slave_#in~dll.offset_68|))
(assert (= |#memory_$Pointer$.offset_70| |old(#memory_$Pointer$.offset)_70|))
(assert (= |#memory_$Pointer$.base_70| |old(#memory_$Pointer$.base)_70|))
(assert (= |#valid_70| |old(#valid)_70|))
(assert (= |#length_70| |old(#length)_70|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_70| |#memory_$Pointer$.offset_68|))
(assert (= |old(#memory_$Pointer$.base)_70| |#memory_$Pointer$.base_68|))
(assert (= |old(#valid)_70| |#valid_68|))
(assert (= |old(#length)_70| |#length_68|))
(assert
 (<= |alloc_or_die_slave_#res.base_71| alloc_or_die_slave_~ptr~7.base_71))
(assert
 (>= |alloc_or_die_slave_#res.base_71| alloc_or_die_slave_~ptr~7.base_71))
(assert
 (<= |alloc_or_die_slave_#res.offset_71| alloc_or_die_slave_~ptr~7.offset_71))
(assert
 (>= |alloc_or_die_slave_#res.offset_71| alloc_or_die_slave_~ptr~7.offset_71))
(assert
 (= |#memory_$Pointer$.base_71|
 (store
 (store |#memory_$Pointer$.base_70| alloc_or_die_slave_~ptr~7.base_71
 (store
 (select |#memory_$Pointer$.base_70| alloc_or_die_slave_~ptr~7.base_71)
 (+ alloc_or_die_slave_~ptr~7.offset_71
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_71
 (store
 (select
 (store |#memory_$Pointer$.base_70| alloc_or_die_slave_~ptr~7.base_71
 (store
 (select |#memory_$Pointer$.base_70| alloc_or_die_slave_~ptr~7.base_71)
 (+ alloc_or_die_slave_~ptr~7.offset_71
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_71)
 (+ alloc_or_die_slave_~ptr~7.offset_71
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))))
(assert
 (= |#memory_$Pointer$.offset_71|
 (store
 (store |#memory_$Pointer$.offset_70| alloc_or_die_slave_~ptr~7.base_71
 (store
 (select |#memory_$Pointer$.offset_70| alloc_or_die_slave_~ptr~7.base_71)
 (+ alloc_or_die_slave_~ptr~7.offset_71
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_71
 (store
 (select
 (store |#memory_$Pointer$.offset_70| alloc_or_die_slave_~ptr~7.base_71
 (store
 (select |#memory_$Pointer$.offset_70| alloc_or_die_slave_~ptr~7.base_71)
 (+ alloc_or_die_slave_~ptr~7.offset_71
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_71)
 (+ alloc_or_die_slave_~ptr~7.offset_71
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))))
(assert (not (= alloc_or_die_slave_~ptr~7.base_71 0)))
(assert
 (<= alloc_or_die_slave_~ptr~7.base_71
 |alloc_or_die_slave_#t~malloc0.base_71|))
(assert
 (>= alloc_or_die_slave_~ptr~7.base_71
 |alloc_or_die_slave_#t~malloc0.base_71|))
(assert
 (<= alloc_or_die_slave_~ptr~7.offset_71
 |alloc_or_die_slave_#t~malloc0.offset_71|))
(assert
 (>= alloc_or_die_slave_~ptr~7.offset_71
 |alloc_or_die_slave_#t~malloc0.offset_71|))
(assert
 (= |#length_71|
 (store |#length_70| |alloc_or_die_slave_#t~malloc0.base_71| 8)))
(assert (not (= |alloc_or_die_slave_#t~malloc0.base_71| 0)))
(assert (<= |alloc_or_die_slave_#t~malloc0.offset_71| 0))
(assert (>= |alloc_or_die_slave_#t~malloc0.offset_71| 0))
(assert
 (= |#valid_71|
 (store |#valid_70| |alloc_or_die_slave_#t~malloc0.base_71| 1)))
(assert
 (not
 (not (= (select |#valid_70| |alloc_or_die_slave_#t~malloc0.base_71|) 0))))
(assert
 (<= |dll_insert_slave_#t~ret7.base_72| |alloc_or_die_slave_#res.base_71|))
(assert
 (>= |dll_insert_slave_#t~ret7.base_72| |alloc_or_die_slave_#res.base_71|))
(assert
 (<= |dll_insert_slave_#t~ret7.offset_72|
 |alloc_or_die_slave_#res.offset_71|))
(assert
 (>= |dll_insert_slave_#t~ret7.offset_72|
 |alloc_or_die_slave_#res.offset_71|))
(assert
 (= |#memory_$Pointer$.base_73|
 (store |v_#memory_$Pointer$.base_263_fresh_11| dll_insert_slave_~dll.base_69
 (store
 (select |v_#memory_$Pointer$.base_263_fresh_11|
 dll_insert_slave_~dll.base_69) dll_insert_slave_~dll.offset_69
 dll_insert_slave_~item~9.base_73))))
(assert
 (= |#memory_$Pointer$.offset_73|
 (store |v_#memory_$Pointer$.offset_263_fresh_11|
 dll_insert_slave_~dll.base_69
 (store
 (select |v_#memory_$Pointer$.offset_263_fresh_11|
 dll_insert_slave_~dll.base_69) dll_insert_slave_~dll.offset_69
 dll_insert_slave_~item~9.offset_73))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73))
 |v_#memory_$Pointer$.offset_263_fresh_11|)
 (not (= dll_insert_slave_~next~9.offset_73 |#NULL.offset_1|))
 (not (= dll_insert_slave_~next~9.base_73 |#NULL.base_1|))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) |v_#memory_$Pointer$.base_263_fresh_11|)
 (= |v_#memory_$Pointer$.offset_263_fresh_11|
 (store
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73)) dll_insert_slave_~next~9.base_73
 (store
 (select
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73)) dll_insert_slave_~next~9.base_73)
 (+ dll_insert_slave_~next~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_73)))))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_11|
 (store
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) dll_insert_slave_~next~9.base_73
 (store
 (select
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) dll_insert_slave_~next~9.base_73)
 (+ dll_insert_slave_~next~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_73)))
 (= dll_insert_slave_~next~9.base_73 |#NULL.base_1|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_11|
 (store
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73)) dll_insert_slave_~next~9.base_73
 (store
 (select
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73)) dll_insert_slave_~next~9.base_73)
 (+ dll_insert_slave_~next~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_73)))
 (=
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73))
 |v_#memory_$Pointer$.offset_263_fresh_11|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_11|
 (store
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73)) dll_insert_slave_~next~9.base_73
 (store
 (select
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73)) dll_insert_slave_~next~9.base_73)
 (+ dll_insert_slave_~next~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_73)))
 (= dll_insert_slave_~next~9.base_73 |#NULL.base_1|)))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_11|
 (store
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) dll_insert_slave_~next~9.base_73
 (store
 (select
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) dll_insert_slave_~next~9.base_73)
 (+ dll_insert_slave_~next~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_73)))
 (= dll_insert_slave_~next~9.offset_73 |#NULL.offset_1|)))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) |v_#memory_$Pointer$.base_263_fresh_11|)
 (= |v_#memory_$Pointer$.base_263_fresh_11|
 (store
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) dll_insert_slave_~next~9.base_73
 (store
 (select
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) dll_insert_slave_~next~9.base_73)
 (+ dll_insert_slave_~next~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_73)))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) |v_#memory_$Pointer$.base_263_fresh_11|)
 (not (= dll_insert_slave_~next~9.offset_73 |#NULL.offset_1|))
 (not (= dll_insert_slave_~next~9.base_73 |#NULL.base_1|))))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_11|
 (store
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) dll_insert_slave_~next~9.base_73
 (store
 (select
 (store |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73
 (store (select |#memory_$Pointer$.base_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_73)) dll_insert_slave_~next~9.base_73)
 (+ dll_insert_slave_~next~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_73)))
 (=
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73))
 |v_#memory_$Pointer$.offset_263_fresh_11|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_11|
 (store
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73)) dll_insert_slave_~next~9.base_73
 (store
 (select
 (store |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73
 (store
 (select |#memory_$Pointer$.offset_71| dll_insert_slave_~item~9.base_73)
 (+ dll_insert_slave_~item~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_73)) dll_insert_slave_~next~9.base_73)
 (+ dll_insert_slave_~next~9.offset_73
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_73)))
 (= dll_insert_slave_~next~9.offset_73 |#NULL.offset_1|)))
(assert
 (<= dll_insert_slave_~next~9.base_73
 (select (select |#memory_$Pointer$.base_71| dll_insert_slave_~dll.base_69)
 dll_insert_slave_~dll.offset_69)))
(assert
 (>= dll_insert_slave_~next~9.base_73
 (select (select |#memory_$Pointer$.base_71| dll_insert_slave_~dll.base_69)
 dll_insert_slave_~dll.offset_69)))
(assert
 (<= dll_insert_slave_~next~9.offset_73
 (select (select |#memory_$Pointer$.offset_71| dll_insert_slave_~dll.base_69)
 dll_insert_slave_~dll.offset_69)))
(assert
 (>= dll_insert_slave_~next~9.offset_73
 (select (select |#memory_$Pointer$.offset_71| dll_insert_slave_~dll.base_69)
 dll_insert_slave_~dll.offset_69)))
(assert
 (<= dll_insert_slave_~item~9.offset_73 |dll_insert_slave_#t~ret7.offset_72|))
(assert
 (>= dll_insert_slave_~item~9.offset_73 |dll_insert_slave_#t~ret7.offset_72|))
(assert
 (<= dll_insert_slave_~item~9.base_73 |dll_insert_slave_#t~ret7.base_72|))
(assert
 (>= dll_insert_slave_~item~9.base_73 |dll_insert_slave_#t~ret7.base_72|))
(assert true)
(assert true)
(assert true)
(assert (= |#memory_$Pointer$.offset_77| |old(#memory_$Pointer$.offset)_77|))
(assert (= |#memory_$Pointer$.base_77| |old(#memory_$Pointer$.base)_77|))
(assert (= |#valid_77| |old(#valid)_77|))
(assert (= |#length_77| |old(#length)_77|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.base_77|
 |dll_create_generic_~#dll~10.base_64|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.base_77|
 |dll_create_generic_~#dll~10.base_64|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_77|
 |dll_create_generic_~#dll~10.offset_64|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#param0.offset_77|
 |dll_create_generic_~#dll~10.offset_64|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.base_77|
 dll_create_generic_~insert_fnc.base_64))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.base_77|
 dll_create_generic_~insert_fnc.base_64))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_77|
 dll_create_generic_~insert_fnc.offset_64))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_77|
 dll_create_generic_~insert_fnc.offset_64))
(assert (= |old(#memory_$Pointer$.offset)_77| |#memory_$Pointer$.offset_73|))
(assert (= |old(#memory_$Pointer$.base)_77| |#memory_$Pointer$.base_73|))
(assert (= |old(#valid)_77| |#valid_71|))
(assert (= |old(#length)_77| |#length_71|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.offset_78|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_77|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.offset_78|
 |##fun~$Pointer$~TO~VOID_#in~#param0.offset_77|))
(assert
 (<= |##fun~$Pointer$~TO~VOID_#~#param0.base_78|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_77|))
(assert
 (>= |##fun~$Pointer$~TO~VOID_#~#param0.base_78|
 |##fun~$Pointer$~TO~VOID_#in~#param0.base_77|))
(assert
 (not
 (and
 (= |##fun~$Pointer$~TO~VOID_#in~#fp.base_77|
 |#funAddr~dll_insert_master.base|)
 (= |##fun~$Pointer$~TO~VOID_#in~#fp.offset_77|
 |#funAddr~dll_insert_master.offset|))))
(assert (= |#memory_$Pointer$.offset_80| |old(#memory_$Pointer$.offset)_80|))
(assert (= |#memory_$Pointer$.base_80| |old(#memory_$Pointer$.base)_80|))
(assert (= |#valid_80| |old(#valid)_80|))
(assert (= |#length_80| |old(#length)_80|))
(assert
 (<= |dll_insert_slave_#in~dll.base_80|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_78|))
(assert
 (>= |dll_insert_slave_#in~dll.base_80|
 |##fun~$Pointer$~TO~VOID_#~#param0.base_78|))
(assert
 (<= |dll_insert_slave_#in~dll.offset_80|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_78|))
(assert
 (>= |dll_insert_slave_#in~dll.offset_80|
 |##fun~$Pointer$~TO~VOID_#~#param0.offset_78|))
(assert (= |old(#memory_$Pointer$.offset)_80| |#memory_$Pointer$.offset_77|))
(assert (= |old(#memory_$Pointer$.base)_80| |#memory_$Pointer$.base_77|))
(assert (= |old(#valid)_80| |#valid_77|))
(assert (= |old(#length)_80| |#length_77|))
(assert (<= dll_insert_slave_~dll.base_81 |dll_insert_slave_#in~dll.base_80|))
(assert (>= dll_insert_slave_~dll.base_81 |dll_insert_slave_#in~dll.base_80|))
(assert
 (<= dll_insert_slave_~dll.offset_81 |dll_insert_slave_#in~dll.offset_80|))
(assert
 (>= dll_insert_slave_~dll.offset_81 |dll_insert_slave_#in~dll.offset_80|))
(assert (= |#memory_$Pointer$.offset_82| |old(#memory_$Pointer$.offset)_82|))
(assert (= |#memory_$Pointer$.base_82| |old(#memory_$Pointer$.base)_82|))
(assert (= |#valid_82| |old(#valid)_82|))
(assert (= |#length_82| |old(#length)_82|))
(assert true)
(assert (= |old(#memory_$Pointer$.offset)_82| |#memory_$Pointer$.offset_80|))
(assert (= |old(#memory_$Pointer$.base)_82| |#memory_$Pointer$.base_80|))
(assert (= |old(#valid)_82| |#valid_80|))
(assert (= |old(#length)_82| |#length_80|))
(assert
 (<= |alloc_or_die_slave_#res.base_83| alloc_or_die_slave_~ptr~7.base_83))
(assert
 (>= |alloc_or_die_slave_#res.base_83| alloc_or_die_slave_~ptr~7.base_83))
(assert
 (<= |alloc_or_die_slave_#res.offset_83| alloc_or_die_slave_~ptr~7.offset_83))
(assert
 (>= |alloc_or_die_slave_#res.offset_83| alloc_or_die_slave_~ptr~7.offset_83))
(assert
 (= |#memory_$Pointer$.base_83|
 (store
 (store |#memory_$Pointer$.base_82| alloc_or_die_slave_~ptr~7.base_83
 (store
 (select |#memory_$Pointer$.base_82| alloc_or_die_slave_~ptr~7.base_83)
 (+ alloc_or_die_slave_~ptr~7.offset_83
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_83
 (store
 (select
 (store |#memory_$Pointer$.base_82| alloc_or_die_slave_~ptr~7.base_83
 (store
 (select |#memory_$Pointer$.base_82| alloc_or_die_slave_~ptr~7.base_83)
 (+ alloc_or_die_slave_~ptr~7.offset_83
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_83)
 (+ alloc_or_die_slave_~ptr~7.offset_83
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))))
(assert
 (= |#memory_$Pointer$.offset_83|
 (store
 (store |#memory_$Pointer$.offset_82| alloc_or_die_slave_~ptr~7.base_83
 (store
 (select |#memory_$Pointer$.offset_82| alloc_or_die_slave_~ptr~7.base_83)
 (+ alloc_or_die_slave_~ptr~7.offset_83
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_83
 (store
 (select
 (store |#memory_$Pointer$.offset_82| alloc_or_die_slave_~ptr~7.base_83
 (store
 (select |#memory_$Pointer$.offset_82| alloc_or_die_slave_~ptr~7.base_83)
 (+ alloc_or_die_slave_~ptr~7.offset_83
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))
 alloc_or_die_slave_~ptr~7.base_83)
 (+ alloc_or_die_slave_~ptr~7.offset_83
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|) 0))))
(assert (not (= alloc_or_die_slave_~ptr~7.base_83 0)))
(assert
 (<= alloc_or_die_slave_~ptr~7.base_83
 |alloc_or_die_slave_#t~malloc0.base_83|))
(assert
 (>= alloc_or_die_slave_~ptr~7.base_83
 |alloc_or_die_slave_#t~malloc0.base_83|))
(assert
 (<= alloc_or_die_slave_~ptr~7.offset_83
 |alloc_or_die_slave_#t~malloc0.offset_83|))
(assert
 (>= alloc_or_die_slave_~ptr~7.offset_83
 |alloc_or_die_slave_#t~malloc0.offset_83|))
(assert
 (= |#length_83|
 (store |#length_82| |alloc_or_die_slave_#t~malloc0.base_83| 8)))
(assert (not (= |alloc_or_die_slave_#t~malloc0.base_83| 0)))
(assert (<= |alloc_or_die_slave_#t~malloc0.offset_83| 0))
(assert (>= |alloc_or_die_slave_#t~malloc0.offset_83| 0))
(assert
 (= |#valid_83|
 (store |#valid_82| |alloc_or_die_slave_#t~malloc0.base_83| 1)))
(assert
 (not
 (not (= (select |#valid_82| |alloc_or_die_slave_#t~malloc0.base_83|) 0))))
(assert
 (<= |dll_insert_slave_#t~ret7.base_84| |alloc_or_die_slave_#res.base_83|))
(assert
 (>= |dll_insert_slave_#t~ret7.base_84| |alloc_or_die_slave_#res.base_83|))
(assert
 (<= |dll_insert_slave_#t~ret7.offset_84|
 |alloc_or_die_slave_#res.offset_83|))
(assert
 (>= |dll_insert_slave_#t~ret7.offset_84|
 |alloc_or_die_slave_#res.offset_83|))
(assert
 (= |#memory_$Pointer$.base_85|
 (store |v_#memory_$Pointer$.base_263_fresh_12| dll_insert_slave_~dll.base_81
 (store
 (select |v_#memory_$Pointer$.base_263_fresh_12|
 dll_insert_slave_~dll.base_81) dll_insert_slave_~dll.offset_81
 dll_insert_slave_~item~9.base_85))))
(assert
 (= |#memory_$Pointer$.offset_85|
 (store |v_#memory_$Pointer$.offset_263_fresh_12|
 dll_insert_slave_~dll.base_81
 (store
 (select |v_#memory_$Pointer$.offset_263_fresh_12|
 dll_insert_slave_~dll.base_81) dll_insert_slave_~dll.offset_81
 dll_insert_slave_~item~9.offset_85))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85))
 |v_#memory_$Pointer$.offset_263_fresh_12|)
 (not (= dll_insert_slave_~next~9.offset_85 |#NULL.offset_1|))
 (not (= dll_insert_slave_~next~9.base_85 |#NULL.base_1|))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) |v_#memory_$Pointer$.base_263_fresh_12|)
 (= |v_#memory_$Pointer$.offset_263_fresh_12|
 (store
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85)) dll_insert_slave_~next~9.base_85
 (store
 (select
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85)) dll_insert_slave_~next~9.base_85)
 (+ dll_insert_slave_~next~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_85)))))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_12|
 (store
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) dll_insert_slave_~next~9.base_85
 (store
 (select
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) dll_insert_slave_~next~9.base_85)
 (+ dll_insert_slave_~next~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_85)))
 (= dll_insert_slave_~next~9.base_85 |#NULL.base_1|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_12|
 (store
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85)) dll_insert_slave_~next~9.base_85
 (store
 (select
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85)) dll_insert_slave_~next~9.base_85)
 (+ dll_insert_slave_~next~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_85)))
 (=
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85))
 |v_#memory_$Pointer$.offset_263_fresh_12|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_12|
 (store
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85)) dll_insert_slave_~next~9.base_85
 (store
 (select
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85)) dll_insert_slave_~next~9.base_85)
 (+ dll_insert_slave_~next~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_85)))
 (= dll_insert_slave_~next~9.base_85 |#NULL.base_1|)))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_12|
 (store
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) dll_insert_slave_~next~9.base_85
 (store
 (select
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) dll_insert_slave_~next~9.base_85)
 (+ dll_insert_slave_~next~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_85)))
 (= dll_insert_slave_~next~9.offset_85 |#NULL.offset_1|)))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) |v_#memory_$Pointer$.base_263_fresh_12|)
 (= |v_#memory_$Pointer$.base_263_fresh_12|
 (store
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) dll_insert_slave_~next~9.base_85
 (store
 (select
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) dll_insert_slave_~next~9.base_85)
 (+ dll_insert_slave_~next~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_85)))))
(assert
 (or
 (=
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) |v_#memory_$Pointer$.base_263_fresh_12|)
 (not (= dll_insert_slave_~next~9.offset_85 |#NULL.offset_1|))
 (not (= dll_insert_slave_~next~9.base_85 |#NULL.base_1|))))
(assert
 (or
 (= |v_#memory_$Pointer$.base_263_fresh_12|
 (store
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) dll_insert_slave_~next~9.base_85
 (store
 (select
 (store |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85
 (store (select |#memory_$Pointer$.base_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.base_85)) dll_insert_slave_~next~9.base_85)
 (+ dll_insert_slave_~next~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.base_85)))
 (=
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85))
 |v_#memory_$Pointer$.offset_263_fresh_12|)))
(assert
 (or
 (= |v_#memory_$Pointer$.offset_263_fresh_12|
 (store
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85)) dll_insert_slave_~next~9.base_85
 (store
 (select
 (store |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85
 (store
 (select |#memory_$Pointer$.offset_83| dll_insert_slave_~item~9.base_85)
 (+ dll_insert_slave_~item~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~next|)
 dll_insert_slave_~next~9.offset_85)) dll_insert_slave_~next~9.base_85)
 (+ dll_insert_slave_~next~9.offset_85
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$#~prev|)
 dll_insert_slave_~item~9.offset_85)))
 (= dll_insert_slave_~next~9.offset_85 |#NULL.offset_1|)))
(assert
 (<= dll_insert_slave_~next~9.base_85
 (select (select |#memory_$Pointer$.base_83| dll_insert_slave_~dll.base_81)
 dll_insert_slave_~dll.offset_81)))
(assert
 (>= dll_insert_slave_~next~9.base_85
 (select (select |#memory_$Pointer$.base_83| dll_insert_slave_~dll.base_81)
 dll_insert_slave_~dll.offset_81)))
(assert
 (<= dll_insert_slave_~next~9.offset_85
 (select (select |#memory_$Pointer$.offset_83| dll_insert_slave_~dll.base_81)
 dll_insert_slave_~dll.offset_81)))
(assert
 (>= dll_insert_slave_~next~9.offset_85
 (select (select |#memory_$Pointer$.offset_83| dll_insert_slave_~dll.base_81)
 dll_insert_slave_~dll.offset_81)))
(assert
 (<= dll_insert_slave_~item~9.offset_85 |dll_insert_slave_#t~ret7.offset_84|))
(assert
 (>= dll_insert_slave_~item~9.offset_85 |dll_insert_slave_#t~ret7.offset_84|))
(assert
 (<= dll_insert_slave_~item~9.base_85 |dll_insert_slave_#t~ret7.base_84|))
(assert
 (>= dll_insert_slave_~item~9.base_85 |dll_insert_slave_#t~ret7.base_84|))
(assert true)
(assert true)
(assert true)
(assert true)
(assert (<= |dll_create_generic_#t~nondet12_63| 0))
(assert (>= |dll_create_generic_#t~nondet12_63| 0))
(assert
 (<= |dll_create_generic_#res.base_91|
 (select
 (select |#memory_$Pointer$.base_85| |dll_create_generic_~#dll~10.base_64|)
 |dll_create_generic_~#dll~10.offset_64|)))
(assert
 (>= |dll_create_generic_#res.base_91|
 (select
 (select |#memory_$Pointer$.base_85| |dll_create_generic_~#dll~10.base_64|)
 |dll_create_generic_~#dll~10.offset_64|)))
(assert
 (<= |dll_create_generic_#res.offset_91|
 (select
 (select |#memory_$Pointer$.offset_85| |dll_create_generic_~#dll~10.base_64|)
 |dll_create_generic_~#dll~10.offset_64|)))
(assert
 (>= |dll_create_generic_#res.offset_91|
 (select
 (select |#memory_$Pointer$.offset_85| |dll_create_generic_~#dll~10.base_64|)
 |dll_create_generic_~#dll~10.offset_64|)))
(assert
 (<= |dll_create_slave_#t~ret14.base_92| |dll_create_generic_#res.base_91|))
(assert
 (>= |dll_create_slave_#t~ret14.base_92| |dll_create_generic_#res.base_91|))
(assert
 (<= |dll_create_slave_#t~ret14.offset_92|
 |dll_create_generic_#res.offset_91|))
(assert
 (>= |dll_create_slave_#t~ret14.offset_92|
 |dll_create_generic_#res.offset_91|))
(assert
 (<= |dll_create_slave_#res.offset_93| |dll_create_slave_#t~ret14.offset_92|))
(assert
 (>= |dll_create_slave_#res.offset_93| |dll_create_slave_#t~ret14.offset_92|))
(assert
 (<= |dll_create_slave_#res.base_93| |dll_create_slave_#t~ret14.base_92|))
(assert
 (>= |dll_create_slave_#res.base_93| |dll_create_slave_#t~ret14.base_92|))
(assert
 (<= |dll_insert_master_#t~ret25.base_94| |dll_create_slave_#res.base_93|))
(assert
 (>= |dll_insert_master_#t~ret25.base_94| |dll_create_slave_#res.base_93|))
(assert
 (<= |dll_insert_master_#t~ret25.offset_94|
 |dll_create_slave_#res.offset_93|))
(assert
 (>= |dll_insert_master_#t~ret25.offset_94|
 |dll_create_slave_#res.offset_93|))
(assert
 (= |#memory_$Pointer$.base_95|
 (store
 (store |#memory_$Pointer$.base_85| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_85| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|)
 |dll_insert_master_#t~ret25.base_94|)) dll_insert_master_~dll.base_57
 (store
 (select
 (store |#memory_$Pointer$.base_85| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.base_85| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|)
 |dll_insert_master_#t~ret25.base_94|)) dll_insert_master_~dll.base_57)
 dll_insert_master_~dll.offset_57 dll_insert_master_~item~21.base_61))))
(assert
 (= |#memory_$Pointer$.offset_95|
 (store
 (store |#memory_$Pointer$.offset_85| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_85| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|)
 |dll_insert_master_#t~ret25.offset_94|)) dll_insert_master_~dll.base_57
 (store
 (select
 (store |#memory_$Pointer$.offset_85| dll_insert_master_~item~21.base_61
 (store
 (select |#memory_$Pointer$.offset_85| dll_insert_master_~item~21.base_61)
 (+ dll_insert_master_~item~21.offset_61
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~slave|)
 |dll_insert_master_#t~ret25.offset_94|)) dll_insert_master_~dll.base_57)
 dll_insert_master_~dll.offset_57 dll_insert_master_~item~21.offset_61))))
(assert true)
(assert true)
(assert true)
(assert true)
(assert (<= |dll_create_generic_#t~nondet12_5| 0))
(assert (>= |dll_create_generic_#t~nondet12_5| 0))
(assert
 (<= |dll_create_generic_#res.base_101|
 (select
 (select |#memory_$Pointer$.base_95| |dll_create_generic_~#dll~10.base_6|)
 |dll_create_generic_~#dll~10.offset_6|)))
(assert
 (>= |dll_create_generic_#res.base_101|
 (select
 (select |#memory_$Pointer$.base_95| |dll_create_generic_~#dll~10.base_6|)
 |dll_create_generic_~#dll~10.offset_6|)))
(assert
 (<= |dll_create_generic_#res.offset_101|
 (select
 (select |#memory_$Pointer$.offset_95| |dll_create_generic_~#dll~10.base_6|)
 |dll_create_generic_~#dll~10.offset_6|)))
(assert
 (>= |dll_create_generic_#res.offset_101|
 (select
 (select |#memory_$Pointer$.offset_95| |dll_create_generic_~#dll~10.base_6|)
 |dll_create_generic_~#dll~10.offset_6|)))
(assert
 (<= |dll_create_master_#t~ret28.base_102|
 |dll_create_generic_#res.base_101|))
(assert
 (>= |dll_create_master_#t~ret28.base_102|
 |dll_create_generic_#res.base_101|))
(assert
 (<= |dll_create_master_#t~ret28.offset_102|
 |dll_create_generic_#res.offset_101|))
(assert
 (>= |dll_create_master_#t~ret28.offset_102|
 |dll_create_generic_#res.offset_101|))
(assert
 (<= |dll_create_master_#res.base_103| |dll_create_master_#t~ret28.base_102|))
(assert
 (>= |dll_create_master_#res.base_103| |dll_create_master_#t~ret28.base_102|))
(assert
 (<= |dll_create_master_#res.offset_103|
 |dll_create_master_#t~ret28.offset_102|))
(assert
 (>= |dll_create_master_#res.offset_103|
 |dll_create_master_#t~ret28.offset_102|))
(assert (<= |main_#t~ret53.base_104| |dll_create_master_#res.base_103|))
(assert (>= |main_#t~ret53.base_104| |dll_create_master_#res.base_103|))
(assert (<= |main_#t~ret53.offset_104| |dll_create_master_#res.offset_103|))
(assert (>= |main_#t~ret53.offset_104| |dll_create_master_#res.offset_103|))
(assert (<= main_~dll~46.offset_105 |main_#t~ret53.offset_104|))
(assert (>= main_~dll~46.offset_105 |main_#t~ret53.offset_104|))
(assert (<= main_~dll~46.base_105 |main_#t~ret53.base_104|))
(assert (>= main_~dll~46.base_105 |main_#t~ret53.base_104|))
(assert true)
(assert (<= |inspect_full_#in~dll.base_106| main_~dll~46.base_105))
(assert (>= |inspect_full_#in~dll.base_106| main_~dll~46.base_105))
(assert (<= |inspect_full_#in~dll.offset_106| main_~dll~46.offset_105))
(assert (>= |inspect_full_#in~dll.offset_106| main_~dll~46.offset_105))
(assert true)
(assert (<= inspect_full_~dll.offset_107 |inspect_full_#in~dll.offset_106|))
(assert (>= inspect_full_~dll.offset_107 |inspect_full_#in~dll.offset_106|))
(assert (<= inspect_full_~dll.base_107 |inspect_full_#in~dll.base_106|))
(assert (>= inspect_full_~dll.base_107 |inspect_full_#in~dll.base_106|))
(assert true)
(assert (<= |inspect_base_#in~dll.base_108| inspect_full_~dll.base_107))
(assert (>= |inspect_base_#in~dll.base_108| inspect_full_~dll.base_107))
(assert (<= |inspect_base_#in~dll.offset_108| inspect_full_~dll.offset_107))
(assert (>= |inspect_base_#in~dll.offset_108| inspect_full_~dll.offset_107))
(assert true)
(assert (<= inspect_base_~dll.base_109 |inspect_base_#in~dll.base_108|))
(assert (>= inspect_base_~dll.base_109 |inspect_base_#in~dll.base_108|))
(assert (<= inspect_base_~dll.offset_109 |inspect_base_#in~dll.offset_108|))
(assert (>= inspect_base_~dll.offset_109 |inspect_base_#in~dll.offset_108|))
(assert true)
(assert (not (= inspect_base_~dll.base_109 0)))
(assert true)
(assert
 (<= |inspect_base_#t~mem29.base_113|
 (select (select |#memory_$Pointer$.base_95| inspect_base_~dll.base_109)
 (+ inspect_base_~dll.offset_109
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|))))
(assert
 (>= |inspect_base_#t~mem29.base_113|
 (select (select |#memory_$Pointer$.base_95| inspect_base_~dll.base_109)
 (+ inspect_base_~dll.offset_109
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|))))
(assert
 (<= |inspect_base_#t~mem29.offset_113|
 (select (select |#memory_$Pointer$.offset_95| inspect_base_~dll.base_109)
 (+ inspect_base_~dll.offset_109
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|))))
(assert
 (>= |inspect_base_#t~mem29.offset_113|
 (select (select |#memory_$Pointer$.offset_95| inspect_base_~dll.base_109)
 (+ inspect_base_~dll.offset_109
 |#offset~STRUCT#?next~$Pointer$?prev~$Pointer$?slave~$Pointer$#~next|))))
(assert (<= |inspect_base_#t~mem29.base_113| 0))
(assert (>= |inspect_base_#t~mem29.base_113| 0))
(assert true)
(assert true)
(assert true)
(assert true)
(check-sat)
(exit)

